Introduction to TubeShaper

TubeShaper is the Hexagon Software for tube inspection using ROMER Absolute Arms. It is compatible with both conventional touch probes and ROMER non-contact tube probes.

Examples of conventional contact probe (left) and the ROMER non-contact tube probe (right)

Benefits of TubeShaper

  • Versatility: TubeShaper has been designed to accommodate all the measurement needs that are associated with the design and manufacture of tubes and pipes. It is a single solution for reverse-engineering, inspection, acceptance and production control of tubes and pipes.

  • Ease of Use: A modern user interface means TubeShaper is easy to use, and requires minimal training.

  • Speed of Use: TubeShaper has been designed to be as rapid as possible to use, enabling operators to reach useful results in the shortest possible time.

More:

Tube Terminology and Fundamentals

The TubeShaper Interface

Activating a TubeShaper License Online

Using Shortcut Keys

Checking for Updates

Application Settings

Tools

Creating a New Project

Saving and Exporting Projects

Configuring the Bender

Editing a Project

Measuring a Tube

Creating Features

Creating Alignments

Constructed Features

Dimensions

Reports

Shop Floor Mode

1.3
TubeShaper


Tube Terminology and Fundamentals

A tube (or pipe) is an element which is usually circular, with a diameter of a few millimeters up to several hundred millimeters. A tube can be hollow or filled (in which case it is called a “Cable”).

A tube that has gone through a bending process consists of:

  • A succession of straight sections called "Straights".

  • Curved sections called "Bends" which can have identical arcs or different arcs.

  • Rotational component called "Rotation" that the tube undergoes during a bending process.

  • 1 - A-End
    2 - Tube Diameter
    3 - Straight 1 (S1) = "L" Value
    4 - Straight 2 (S2) = "L" Value
    5 - Straight 3 (S3) = "L" Value
    6 - Bend Angle = "A" Value
    7 - Straight 4 (S4) = "L" Value
    8 - Bend Radius
    9 - Straight 5 (S5) = "L" Value
    10 - B-End
    11 - Tangent Points (TP)
    12 - Intersection Points (IP)

The information in this section provides details on tube characteristics, tube manufacturing and tube testing.

More:

Tube Characteristics

Tube Manufacturing


Tube Characteristics

A tube is always described in terms of the axes of its straight sections, known as the tube's "Centerline" (sometimes referred to as the "Neutral Fiber"). The bend radius is the curve radius of this centerline.

A tube is represented geometrically by these terms:

  • Intersection Points (IP), or XYZ - These are the points where each of the straight sections intersect and make up the centerline of the tube. They are also where the two ends of the straight's centerline are defined. These points are usually given by the CAD, and represent the theoretical tube path.

  • LRA - Refers to the tube's technical data in tube bending terms and is used by the tube manufacture to send to the bending machine to perform the bending process. TubeShaper can recall the LRA data from the bender to perform corrections to the data and sent back to the bending machine as CLRA data.

    1. L - Length of each straight section.

      R - Rotation of each bend defined by the angle between two successive planes.

      A - Bend angle defined by the total angle between two successive straight sections.

  • Tangent (Pitch) Points or T1MpT2 - These are the points at the end of each straight section and each bend. They represent the tube envelope, and is verified in a control jig or fixture to determine if the straight sections fall within the defined tolerance envelope. The result is the inspection data, used to declare a tube as in tolerance or not. Tangent points of a specific straight are referred to as TP1 and TP2.

  • In order to differentiate between tangent points along a tube, they are often referred to based on their relative straight. For example, the tangent points for the third straight of a tube (S3) would be named "S3 TP1" and "S3 TP2".

    Note: Tangent Points (more than Intersection Points) are often used to define whether or not a tube is in tolerance.

  • Delta LRA (ΔLRA) - The difference between measured and theoretical LRA data.

  • CLRA - The corrected LRA bending data and often very close to the LRA data. Unlike the LRA which are a set of theoretical data, the CLRA data are based on the LRA but modified in order to obtain the correct tube. CLRA are calculated based on previous CLRA, Delta LRA, and the defects in the bending process.

  • YBC - A term used on some benders instead of LRA and it refers to the same data and values. It is based on the bending machine's movements and its own reference data. The components are:

    1. Y - The bending machine's carriage movement through the Y axis and determines the length of each straight. It is equivalent to the LRA's "L" component.

      B - The chuck rotation through B (Y movement). It determines the rotation defined by the angle between two resulting planes. It is equivalent to the LRA's "R" component.

      C - The combined bend and rotation angles through C (Z movement). It determines the bend angle defined by the total angle between two successive straights. It is equivalent to the LRA's "A" component.

Other important tube characteristics are:

  • A-End - Also known as Point A, the point on the tube axis that is at the "first" end of the tube. This typically defines from which end the bending machine begins to construct the tube (and also from which end the tube is measured).

  • Example of the A-End and B-End points of a tube

  • B-End - Also known as Point B, the "final" measurement point on the tube axis. This typically defines the last calculated (and measured) point on the tube, expressed in XYZ coordinates.

  • Straight - The sections of a tube located between bends. Starting at the A-End, the naming convention for each straight is"Straight 1", "Straight 2", "Straight 3" and so on with the last straight containing the B-End. Straights are commonly labeled as "S1", "S2", "S3", etc.

  • Intersection Point (IP) - The theoretical point at the intersection of the axes of two straights, expressed as XYZ coordinates. Like Tangent Points, Intersection Points are referenced relative to their associated straight (for example, "S2 IP1", "S2 IP2").

  • Tube Diameter - The diameter of the tube itself (typically a known value for these applications.)

  • Bending Radius - The radius of the die used to bend the tube and is typically a known value.

More:

Tube Terminology and Fundamentals

Tube Manufacturing


Tube Manufacturing

Tubes are generally designed in CAD systems that use XYZ coordinate data. Tube benders however use different parameters in order to bend the tube. These are Length, Rotation, Angle (LRA).

All industrial bending processes more or less use the same procedure:

  1. The tube is introduced into the chuck, which draws back through the total specified length (load position).

  2. The following movements occur for each bend:

    • The carriage moves through the length of the straight section (L). For each straight the carriage moves through, the length of a straight segment between bends is defined which corresponds to the amount of tube fed into a bender before each bend. It is typically the distance between two Tangent Points of a particular straight.

      1. Tube is fed into the bending machine

      2. The tube is bent around a circular die

    • The tube is rotated (R) which defines the rotation that the tube undergoes around its straight axis in order to create bends in different planes. For the first bend of a tube, this value is always 0 (zero).

    • The tube is bent, and the result is the angle between two straights on either side of the bend (A).

  3. During the bending process, the tube advances through the length of the curved section.

Some benders are described as either "Left-hand" ("Clockwise"), or "Right-hand" ("Counterclockwise", "Anti-clockwise" or sometimes "Trigo”). This is because bending occurs to the left or the right and must be specified correctly in the communication parameters.

Some benders differ in that it is not the tube that rotates, but the bending body. This does not affect the operation of TubeShaper however.

More:

Tube Terminology and Fundamentals

Tube Characteristics


TubeShaper Interface

TubeShaper :Home | Introduction to TubeShaper | TubeShaper Interface

The TubeShaper Interface

The Project Hub view is displayed when the TubeShaper application first starts.

TubeShaper Project Hub view

The main Project Hub view hub consists of these sections:

  1. Main Menu and Title bar - Provides buttons for switching in and out of Shop Floor mode, Tool options, Application Settings and Help options. Standard window functions for minimizing, maximizing and closing the application are also available. If you are in the Project Workspace, the name of the currently opened project is displayed in the upper-left.

  2. Menu pane - Options to access Projects, Benders and project Reports.

  3. Project List area - A listing of clickable links to saved projects which can be displayed as tiles or in a detail view.

  4. Project Detail area - Displays information related to the currently selected project in the Project List area.

  5. Project Menu bar - Provides options to create a new project as well as copying, deleting, editing and measuring a selected project.

    Note: Although the descriptions provided are related to the Project Hub view, they are also relevant to the Benders Hub view and Project Reports Hub view which have similar sections.

Tooltips

Hover over a button with no text and a tooltip is displayed that describes the button's function.

Example showing the tooltip when hovering over the New Version Available! menu button

More

Main Menu bar

Project Menu tabs

Project Listing area

Project Details area

Project Menu bar


Main Menu and Title Bar

The Main Menu and Title bar displays the TubeShaper logo and title on the left.

The right side of the Main Menu and Title bar contains a set of TubeShaper functional and standard buttons. The buttons from left to right are:

  1. New Version Available! - This button is only available if the software detects that a new version is detected. Click to download and install the latest version of TubeShaper. For details on TubeShaper updates, see the "Checking for Updates" chapter.

    Shop Floor Mode - Click to put TubeShaper into Shop Floor Mode. For details on working in Shop Floor mode, see the "Shop Floor Mode" chapter.

    Tools button - When clicked, the Tools dialog box is displayed. The dialog box is used to measure various tube or pipe properties such as length, bend radius and diameter. When used in conjunction with a calibration artifact, you can use the Straight or Tube Diameter tab to confirm the accuracy of the measurement system. For details on the Tools dialog, see the "Tools" topic.

    Application Settings - Displays the TubeShaper Application Settings dialog box to set and adjust TubeShaper appearance and application options. See "Applications Settings" topic for details. These settings are applied to all new TubeShaper projects.

    Note: If you want to change the properties for a particular tube project, you must change the tube properties of an open project through the Project Properties View slide-out panel.

    Help - When clicked, the following drop-down menu is displayed.

    1. Help - When clicked, the TubeShaper help documentation appears.

      Tutorials - When clicked, a Windows Explorer window appears displaying the Tutorials folder with a library of PDF tutorial files. The Tutorials folder is located in the root of the TubeShaper installation folder.

      About - When clicked, information about the current version of the TubeShaper application is displayed.

      Check for Updates - When clicked, the TubeShaper Update dialog box appears. A connection to the Hexagon download server is made (if connected to the Internet) which checks if any application updates are available. For details on updating the TubeShaper application, see the "Checking for Updates from the Main Menu" topic in the "Checking for Updates" chapter.

    The standard window buttons from left to right are:

    1. Minimize - Minimizes the current TubeShaper application window to the status bar.

      Maximize - Maximizes the current TubeShaper application window.

      Close - Exits the TubeShaper application.

More

Project Menu tabs

Project Listing area

Project Details area

Project Menu bar


Hub View Selection Pane

The Hub View Selection Pane has links to the following three TubeShaper hub screens:

  1. Projects - The Project Hub screen is displayed with a list of all the TubeShaper projects that have been saved. Single-click a project in the Project Listing area to display its details in the Project Details area. New projects can be created and existing projects can be selected. When selected, you have the options to copy, delete, edit, measure or view the project.

    Benders - Displays the Bender Hub screen that shows a list of all the bending machine interfaces saved in the TubeShaper application. For details on how to create or configure bender interfaces, see the "Configuring the Bender" topic.

    Reports - Displays the Reports Hub screen that shows a list of all tube projects that have had reports created. Click any of the projects to view a list of all the reports created for the selected project. For details on how to view, create, edit, save or print reports, see the "Reports" chapter.

More

Main Menu bar

Project Listing area

Project Details area

Project Menu bar


Project Listing Area

The Project Listing area is comprised of a list of the tube projects currently saved. The Project Search field located in the upper-left is part of this screen.

View of the Project Listing area of TubeShaper's hub view screen

The listing can be displayed in two views:

  • Click the Tile View button [image]. The project files are displayed as tiles as shown above.

  • Click the Detail View button [image]. The project files are displayed in a detailed view as shown below:

Locating a specific project

If there are more projects than can be viewed in the listing area, a vertical scroll bar becomes available to manually scroll through the projects.

Another way to locate a particular project file is to use the Filter field.

Enter the name or part of a project's name in the Filter box. The list is dynamically updated as matches are found. All projects found to contain the characters entered are displayed - all other projects are filtered out.

Creating a new project

There are two ways to create a new project, both located in the lower-left of the Project Listing area:

  • Click New Project in the lower-left to display the New Project workspace.

  • Click New Project with Import to display the New Project workspace. A dialog appears prompting you for the name and location of the CAD model you would like imported into your new project.

Opening a project

There are two ways to open an existing tube project:

  • Double-click a project in the Project Listing area to display the project in its Workspace.

  • Single-click a project tile in the Project Listing area and click Edit located on the far right of the Project Menu bar. The project is displayed in its Workspace.

More

Creating a New Project

Creating a New Project with Import

Editing a Project

Main Menu bar

Project Menu tabs

Project Details area

Project Menu bar


Project Details Area

The Project Details area displays information on the currently selected project. The displayed information that is:

  1. created date - The original date the tube project was created.

    created by - The login name of the person who logged into the PC that created the tube project.

    modified - The date and time stamp of the last time the tube project was modified.

    CAD file - The name of the CAD file that was created or imported into the tube project.

    bender - The name of the bending machine associated with the project.

    instruction - The instructions, notes or comments specific to the tube project. You enter the text into the General section of the Projects/Tube Properties slide-out panel when the project is opened in the project's Workspace. For details on the Project/Tube Properties slide-out panel, see the "Project/Tube Properties View" topic.

When TubeShaper first starts, the software selects the first project in the Project Listing area by default.

Click any of the projects in the Project Listing area to view its details.

Updating Project List Thumbnails

The tube displayed in the Project Details area is a live CAD view. When you rotate the CAD, it automatically snaps to fit the view area.

To change the thumbnail image of a project in the Project List area:

  1. Rotate the CAD in the Project Details area for best view.

  2. Click the Use as Thumbnail button [image]. The associated image of the project in the Project Listing area is updated.

More

Main Menu bar

Project Menu tabs

Project Listing area

Project Menu bar


Project Menu Bar

The Project Menu bar provides the following options:

  1. New Project - Displays a new project inside a new Workspace.

    New Project with Import - Clicking the New Project with Import link displays the Browse for CAD File dialog box for importing a CAD model. Once a CAD file is selected, click Open. The CAD model is opened and displayed in a new project Workspace.

    Copy - When clicked, a Copy Project dialog box is displayed for renaming the copy of the currently selected project. Click Ok to create a copy of the project with the new name. The new project is listed in the "Project Listing" area.

    Delete - Displays the Delete Project dialog box for deleting the currently selected project file.

    Open - Opens a selected project into its Workspace. The tube data, measurement and bender can be edited prior to the measurement of the tube.

    Measure - Opens a selected project into its Workspace and connects TubeShaper automatically to the ROMER Absolute Arm, so that it can be measured immediately.

More

Main Menu bar

Project Menu tabs

Project Listing area

Project Details area


Activating a TubeShaper License Online

Note: To activate a license offline, see the "Offline Licensing Process" topic in the Client License Management (CLM) help.

TubeShaper checks at start-up to verify if a valid license is found. If a valid license is not found at start-up, the following message appears:

To activate your license online:

  1. Enter the 25-digit alphanumeric case-sensitive Entitlement ID provided to you with the installation media or your Hexagon representative.

  2. Click the Activate button to begin the activation process. If you click Exit, the TubeShaper application automatically shuts down.

    Once the activation has successfully processed, TubeShaper is ready to be used.

  3. If for some reason the activation is not successful, review the Entitlement ID to make sure it's entered correctly. Note that the ID is case-sensitive. If you are still having trouble, contact a Hexagon representative to help troubleshoot the issue.

More:

Introduction to TubeShaper

TubeShaper Interface

Checking for Updates


Using Shortcut Keys

This table provides a reference of the available shortcut keys. For specific information regarding the function of each option, please see the appropriate section of the documentation.

Shortcut Key | Description
Report View
Ctrl+B | Returns to the main Report Hub screen if the report was opened directly from the Report Hub screen. If you opened the report from the Report tab after you've opened a project, the software returns you to the Project Hub view.
Ctrl+E | Opens the Export dialog box
Ctrl+P (or Print key) | Opens the Print dialog box
Ctrl+S | Automatically saves the currently opened report
Ctrl+W | Displays the Project Workspace for the currently opened report project
Project View
Ctrl+B | Returns to the last main Project or Report view screen that was displayed
Ctrl+R | Displays the Report view screen for the currently opened project
Ctrl+S | Automatically saves the currently opened project
Ctrl+Z | Automatically best-fit zooms the graphic in the Project View screen


Checking for Updates

You can check for updates to the TubeShaper application in the following ways:

  • Turn on the Check for New Version on Startup through the Application Settings. For details on how to check for the latest version of TubeShaper on startup, see the topic "Check for New Version on Startup".

  • Manually check for updates through the Help/About menu option [image].

More:

Check for New Version on Startup

Check for Updates from the Main Menu

Main Menu bar


Check for New Version on Startup

The Check for New Version on Startup is a feature that can be turned on or off at any time. When turned on, each time the TubeShaper application starts up, it checks the Hexagon download server to determine if a new version of TubeShaper is available to download and install. The New Version Available! button [image] is displayed to the left of the main menu bar when a new version is found.

The TubeShaper Main Menu bar showing the New Version Available! button

To turn on the Check for New Version on Startup feature:

  1. Click the Application Settings button [image] the Application Settings dialog box.

  2. Click the Advanced tab.

    Application Settings dialog box

  3. Mark the Check for new version on startup check box.

Once marked, each time TubeShaper starts up, it automatically checks the Hexagon download server for new updates to download and install.

To download and install a new version:

  1. Click the New Version Available! button on the Main Menu bar. The Updates dialog box appears.

    Hexagon Software Updates dialog box

    Hexagon Software Updates dialog box

  2. Once the details of the new version are displayed, click Download Update to download the latest version of TubeShaper.

  3. When the download is completed, click Install Update to install the downloaded update package. The installation automatically starts and TubeShaper closes then restarts after the update is completed.

    You now have the latest version of TubeShaper running on your system.

More:

Checking for Updates

Check for Updates from the Main Menu

Main Menu bar


Check for Updates from the Main Menu

TubeShaper :Home | Introduction to TubeShaper | Checking for Updates | Check for Updates from the Main Menu

Checking for Updates from the Main Menu

You can manually check for updates to the TubeShaper application from the Main Menu.

  1. Click the Help/About button [image] to display the following menu:

    The Help/About drop-down menu

  2. Click the Check for updates option to display the Updates dialog box. If an update is available, its details appear in the dialog.

    Hexagon Software Updates dialog box

  3. Once the details of the new version are displayed, click Download Update to download the latest version of TubeShaper.

  4. When the download is completed, click Install Update to install the downloaded update package. The installation automatically starts and TubeShaper closes then restarts after installation is completed.

    You now have the latest version of TubeShaper running on your system.

More:

Checking for Updates

Check for New Version on Startup

Main Menu Bar


Application Settings

Click the Application Settings button [image] on the Main Menu bar to display the Application Settings dialog.

The Application Settings dialog has four tabs used to change various TubeShaper settings:

  • Use the General tab to define:

    • The language presented through-out the TubeShaper application

    • The theme used to set how TubeShaper is displayed

    • The measurement units

    • The degree of measurement accuracy

    • Password protection

    • TubeShaper version update on startup control

    • The default settings for projects, tubes and reports

    For details on the General tab, see the "Application Settings - General Tab" topic.

  • Use the Visibility tab to define your display preferences when working in the project Workspace. For details on the Visibility tab, see the "Application Settings - Visibility Tab" topic.

  • Use the Display tab to customize the graphics when working in the project Workspace. For details on the Display tab, see the "Application Settings - Display Tab" topic.

  • Use the Paths tab to set the save locations for tube, bender and report projects. For details on the Paths tab, see the "Application Settings - Paths Tab" topic.

  • Use the Features tab to define the default feature tolerances. For details on the Features tab, see the "Application Settings - Features Tab" topic.

  • Use the Advanced tab to set password access, check for updates on startup and enable TubeShaper logging. For details on the Advanced tab, see the "Application Settings - Advanced Tab" topic.

Click OK to save any changes made or click Cancel to exit the dialog.

More:

Application Settings - General Tab

Application Settings - Visibility Tab

Application Settings - Display Tab

Application Settings - Paths Tab

Application Settings - Features Tab

Application Settings - Advanced Tab


Application Settings - General Tab

The following options are available:

  1. Language - Select the language to be used by the TubeShaper application from the Language drop-down list. Click Done to change user interface text to the selected language.

    Units - Sets the linear and angular units TubeShaper uses for measurements.

    Displayed decimal places - Enter the number of decimal places to show for mm and inch units in your project.

    Note: Angular units are not affected by this setting and are always displayed to five decimal places.

    New project defaults - This section provides the following options:

    • Click Projects/Tubes to view and set the default project options for all new projects. To set options that only affect the currently opened project, see the "Project Properties View" topic.

    • Click Report Defaults to view and set the default report options for all new reports. To set options that only affect the currently opened report, see the "Report Options" section of the "Reports" chapter.

More:

Application Settings

Project/Tube Defaults

Report Options


Application Settings - Project Defaults

TubeShaper :Home | Introduction to TubeShaper | Application Settings | Application Settings - General Tab | Project/Tube Defaults

Application Settings - Projects/Tubes Defaults

From the New Project Defaults section of the Application Settings main screen, click Projects/Tubes to display the Project/Tube Defaults dialog box.

Settings and values made through this dialog are applied to all new projects.

Note: To make changes that are applied only to the currently opened project, see the topic "Report Options Properties" in the "Project/Tube Properties View" section of the help.

These Project/Tube Defaults application settings and values can be set:

  1. Report Options - This section defines the default report options you can set.

    • Auto Create Report - When marked, a report is created each time a tube is measured.

    • Auto Create Report CSV - When marked, a CSV (Comma-Separated Values) report is created each time a tube is measured.

    • Auto Create Report PDF - When marked, a PDF (Portable Document Format) report is created each time a tube is measured.

    • Units - Select the linear units option you want the measured data values to be in for new reports. For example, if the tube was measured in mm but you want the report to be in inches, select the Inch option. The measured units will be converted from mm to inches (if necessary) for all new reports.

    • Angular Units - Select the angular units option you want the measured data values to be in for new reports. For example, if the tube was measured in degrees but you want the report to be in radians, select the Rad option. The measured units will be converted from degrees to radians (if necessary) for all new reports.

    For details on how to set up your report for output (Save, Export or Print), see the topic "Report Options Properties".

    Tolerances - This section is used to set the project values for the displayed tolerances. For more information on tolerance properties, see the "Tolerances Properties" topic.

    Inspection Options - This section is used to set the displayed inspection options and related values. For more information on setting the inspection options see the "Inspection Options Properties" topic.

    Correction Options - This section is used to set the displayed correction options and related values. For more information on the correction options, see the "Correction Options Properties" topic.

    2. Misc - This section is used to enable or disable the Use the cumulative R value option. For more information on this option, see the "Misc Options Properties" topic.

Click OK to save any changes made and return to the Application Settings dialog. Click Cancel to exit without saving.

More:

Application Settings General Tab

Application Settings - Report Options


Application Settings - Report Defaults

TubeShaper :Home | Introduction to TubeShaper | Application Settings | Application Settings - General Tab | Report Options

Application Settings - Report Options

From the New Project Defaults section of the Application Settings main screen, click Reports to display the Report Options dialog box.

Settings and values made through the Report Options dialog are applied to all new reports.

Note: To make changes that are applied only to the currently opened report, see the "Report Options" topic in the "Create a New Report" chapter.

Click the check box to the right of each of the option labels to mark them. The following report sections are available:

  • Company Logo

  • CAD View

  • TP Data (Tangent Point Data)

  • End Statistics

  • CLRA

  • LRA

  • ALRA

  • XYZ

  • Features

  • Tube Properties

Report options with multiple items have three settings:

  • When the check box contains a check mark [image], all options in the group are selected.

  • When the check box is a solid colored box [image], individual options in the group are selected.

  • When the check box is empty [image], no items in the group are selected.

To reorder sections in the report, click and drag each section within the Report Options dialog so they are organized in the order you want. All new reports are then displayed based on the changes made.

Click Done to save any changes made and return to the Application Settings dialog. Click Cancel to exit without saving.

For details on setting reporting options, see the "Report Options" section of the "Reports" chapter.

More:

Application Settings - General Tab

Application Settings - Project/Tube Defaults


Application Settings - Visibility Tab

TubeShaper :Home | Introduction to TubeShaper | Application Settings | Application Settings - Visibility Tab

Application Settings - Paths Tab

The Visibility tab provides a way to turn on and off labels in the project Workspace.

  1. Label Visibility - When the Show Labels check box is marked, you can configure the labels for the listed tube components:

    • On - The labels are always displayed

    • Off - The labels are never displayed

    • Auto - The labels are automatically displayed when the corresponding data grid panel is displayed

    Intersection points - Mark the appropriate check boxes to display the intersection point labels:

    1. Mark the Measured or Deviations check box to show or hide the measured or deviation intersection point labels if needed.

More:

Application Settings


Application Settings - Display Tab

The Display tab provides a way to customize how the graphics are shown when working in the Workspace.

  1. Theme - You can switch between a light or dark theme for TubeShaper. You can mark the Enlarged check box to display text and icons in a larger view, similar to Shop Floor mode. For details on TubeShaper's Shop Floor mode, see the "Shop Floor Mode" chapter.

    Enhance Graphics - Sets the line width of drawn features. Mark the check box to enable this feature, then select an option from the Display Thickness list to set the desired thickness value.

    Transparency - Sets the percent transparency value for the tube graphic - the higher the percentage value, the more transparent the graphic is displayed. Adjusting the slider can make the centerline more or less apparent depending on the setting of the graphic view. For details on the graphic view area of a tube project, see the Workspace View topic.

    You can use the color pickers to set the color for Workspace graphics and indicators. The color picker options are:

    1. CAD Color - Defines the color of any imported CAD in the Workspace.

      Nominal Color - Defines the color of the nominal tube and nominal features in the Workspace.

      Measured Color - Defines the color of the measured tube and measured features in the Workspace.

      Highlight Color - Defines the color of the actively selected tube or feature.

      Measure Indicator Color - Defines the color for a more specific measurement region of a highlighted section of the tube.

      Incomplete Color - Defines the color of an incomplete tube.

More:

Application Settings


Application Settings - Paths Tab

The Paths tab options define where your files are saved.

TubeShaper file path options are:

  1. Projects path - Defines the location TubeShaper project files are saved.

    Benders path - Defines the location TubeShaper bender files are saved.

    Reports path - Defines the location TubeShaper report files are saved.

    Manually enter the path or click the Browse button [image] to display a Browse For Folder dialog box you can use to navigate to a specific folder location.

More:

Application Settings


Application Settings - Features Tab

Use the Features tab to set the default feature tolerance values for the X, Y, Z, Diameter, Length, Width, Angle, and 3D Distance.

More:

Application Settings


Application Settings - Advanced Tab

Use the Advanced tab to:

  1. Enable Password Access check box - When marked, the Set Password dialog box is displayed.

    Enter a password and click OK to save. Make sure the password is stored somewhere secure to ensure it's available if needed.

    Note: If you have forgotten the password, contact Hexagon Technical Support for a temporary password. After you have received the temporary password, click the Application Settings button and click Change Password and enter the temporary password. You are then instructed to enter a new password and then your new password again.

    Hexagon Technical Support Contact Information

    Online Technical Support is provided at http://hexagonmi.us/contact-us or visit www.pcdmis.com.

    You can also reach Hexagon Technical Support by calling 1-800-343-7933.

    Check for New Version on Startup check box - When marked and if you are connected to the Internet, each time TubeShaper starts up it connects to the Hexagon Metrology server to verify if a new version is available to download and install. For details on updates, see the chapter "Checking for Updates".

    Enable Logging check box - When marked, TubeShaper logs information regarding issues that may occur. The log file can then be sent into Hexagon Technical Support to help debug the system. Use the Log File Path box to enter a new location or use the Browse button to change the location of where the log file gets stored.

More:

Application Settings


Tools

Click the Tools button [image] from the Main Menu bar.

Tools dialog box

The Tools dialog box is used to measure various tube or pipe properties such as length, bend radius and diameter. When used in conjunction with a calibration artifact, you can use the Straight or Tube Diameter tab to confirm the accuracy of the measurement system.

The following options are available from the tabs:

  1. Tube Diameter tab - Used to measure an unknown diameter of a tube or pipe. If using this option on a calibration artifact, the accuracy of the measurement system can also be determined. You can also use the Tube Diameter tab for the reverse engineering of a tube.

    Straight tab - Used to measure the length of a straight on a tube or pipe. If using this option on a calibration artifact, the accuracy of the measurement system can also be determined. For details on the Straight tab, see the "Straight Tab" topic.

    The Straight tool is sometimes necessary for determining spring-back. The calculated straight tube length will be the Cut Length value on the Springback tab. For details on the Springback tab, see the "Springback View" topic.

    Bend Radius tab - Used to measure an unknown bend radius on a tube or pipe. This option is useful when reverse engineering a tube.

Details for each tab can be found in the individual topics of this chapter.

More:

Tube Diameter tab

Straight tab

Bend Radius tab


Tube Diameter Tab

To measure a straight:

  1. Click the Tools button [image] from the Main Menu bar.

  2. Select the Tube Diameter tab, the Tube Diameter screen appears.

  3. Click the Measure button [image] and follow the instructions along the bottom of the dialog box to measure two locations on the cylinder to determine its diameter.

    For details on the standard three-button ROMER Arm functionality, see the "ROMER Arm Buttons" topic.

    The instructions show a minimum number of recommended hits on the cylinder to be measured. More hits can be taken as needed for better accuracy.

    Click Stop [image] at any time to end the measurement process.

    Note: For details on the measurement process, see the "Measuring a Tube" topic.

    4. Note: The graphic view displays the area to be measured in a gold color. The red areas are there to inform you not to get too close to the edges of the straight or outside the bend.

  4. Review the data displayed in the Tube Diameter box. Re-measure if necessary.

  5. Click Save to accept the measurement. The value is added to the Tube Length list of the Create Tube dialog box.

    Click OK to exit the dialog box. Be sure you save the measurement value first if needed.

More:

Tools

Straight tab

Bend Radius tab


Straight Tab

To measure a straight:

  1. Click the Tools button [image] from the Main Menu bar.

  2. Select the Straight tab, the Straight screen appears.

  3. Click the Measure button [image] and follow the instructions along the bottom of the dialog box to measure the required features of the straight.

    For details on the standard three-button ROMER Arm functionality, see the "ROMER Arm Buttons" topic.

    The instructions show a minimum number of recommended hits for the straight and two ends being measured. More hits can be taken as needed for better accuracy.

    Click Stop [image] at any time to end the measurement process.

    Note: For details on the measurement process, see the "Measuring a Tube" topic.

    4. Note: The graphic view displays the area to be measured in a gold color. The red areas are there to inform you not to get too close to the edges of the straight or outside the bend.

  4. Review the data displayed in the Straight Tube Length box. Re-measure if necessary.

  5. Click Save to accept the measurement value which is saved to:

    • The Tube Length list on the Create Tube dialog box

    • The Tube Cut Length list on the Physical Properties section of the Project Properties slide-out panel

    • The Tube Cut Length list on the Springback slide-out panel.

    Click OK to exit the dialog box. Be sure you save the measurement value first if needed.

More:

Tools

Tube Diameter tab

Bend Radius tab


Bend Radius Tab

To measure a bend radius:

  1. Click the Tools button [image] from the Main Menu bar.

  2. Select the Bend Radius tab, the Bend Radius screen appears.

  3. Click the Measure button [image] and follow the instructions along the bottom of the dialog box to take measurements.

    For details on the standard three-button ROMER Arm functionality, see the "ROMER Arm Buttons" topic.

    The instructions show a minimum number of recommended hits for the straights and curved section to be measured. More hits can be taken as needed for better accuracy.

    Click Stop [image] at any time to end the measurement process.

    Note: For details on the measurement process, see the "Measuring a Tube" topic.

    4. Note: The graphic view displays the area to be measured in a gold color. The red areas are there to inform you not to get too close to the edges of the straight or outside the bend.

  4. When the measurements are completed, review the data displayed in the Estimated Bend Radius box. Re-measure if necessary.

  5. Click Save to accept the measurement. The value is added to the Bend Radius list of the Create Tube dialog box.

    Click OK to exit the dialog box. Be sure you save the measurement value first if needed.

More:

Tools

Tube Diameter tab

Straight tab


Creating a New Project

There are two ways to create a new tube project:

  • Creating a new tube project with no CAD model. For details, see the "Creating a New Tube by Reverse Engineering" topic.

  • Creating a new tube project with an imported CAD model. For details, see the "Creating a New Project with Import" topic.

Click New Project from the main screen to display a blank project Workspace.

Example of the new project Workspace with no CAD model imported

The project Workspace displays a default title for the project in the upper-left with an asterisk after it (*). The asterisk informs you that the project is new or changes were made to the project which have not been saved.

For details on the different sections of the project Workspace, see the "New Project Interface" topic.

Save or export the project at any time by clicking the Save/Export Menu button [image] in the lower-right of this screen.

For details on saving and exporting a project, see the appropriate topic in the "Saving and Exporting Projects" chapter.

If you click the Back button [image] at this point, a Save As dialog is displayed.

Enter a unique name and click Yes to save. Click No to exit without saving or Cancel to exit the dialog and return to your project.

More

New Project Interface

Creating a New Springback Tube Project

Creating a New Tube by Manually Entering Data

Creating a New Tube by Reverse Engineering

Create a New Tube Project with Import

Configuring the Bender


New Project Interface

TubeShaper :Home | Creating a New Project | New Project Interface

The New Project Workspace

Once a new project has been created, a blank project Workspace is displayed.

Blank new project Workspace

Components of the project Workspace screen are:

  1. Main Menu and Title Bar area - For details on the this area, see the "Workspace Navigation Area" topic.

    Graphical Operation toolbar - For details on this toolbar, see the "Graphical Operation Toolbar" topic.

    Workspace area - For details on this area, see the "Workspace View" topic. You can view the current project in its Workspace or in its Report view by clicking the appropriate tab.

    Slide-out panel and toolbar - For details on the slide-out panel and toolbar, see the "Slide-out Panel Toolbar" section of this chapter.

    Project Status area - For details on this area, see the "Project Status Area" topic.

    Action Bar - For details on the Action bar, see the "Project Action Bar" topic.

More:

Workspace Navigation area

Graphical Operation toolbar

Workspace View

Slideout Panel toolbar

Project Status area

Project Action bar


Workspace Navigation Area

Note: If the text color of the project's title is orange, the definition of the tube feature is incomplete and the project cannot be saved. Update the data set for the tube feature to correct the issue, then save the project.

The Workspace navigation area displays the name of the new project and the following functionality:

  1. Back button - Returns you to the Project Hub view when clicked.

    If changes were made to the project and the Back button is clicked prior to saving:

    • A Save As dialog is displayed if the project is new and hasn't been saved before.

    • Enter a unique name and click Yes to save. Click No to exit without saving or Cancel to exit the dialog and return to your project.

    • A Warning dialog is displayed if the project has been previously saved prompting you if you want to save the changes made.

    • Click Yes to save your changes and return to the Project Hub view screen. Click No to exit the dialog and your project without saving your changes. Click Cancel to exit the dialog and return to your project.

    Workspace tab - Displays the Workspace screen when clicked. For details, see the "Workspace View" topic.

    Report tab - Displays the Report screen for the current project when clicked. For details, see the "Reports" chapter.

More:

Graphical Operation toolbar

Workspace View

Slideout Panel Toolbar

Project Status area

Action Bar


Graphical Operation Toolbar

The Graphical Operation toolbar consists of four buttons used to control and manipulate the data in the Workspace view.

Graphical Operation toolbar

The toolbar consists of these four buttons:

  1. Zoom - When clicked, the graphic is zoomed in on. Use the appropriate mouse button to pan the graphic to center it in the workspace if needed.

    Pan - Assigns pan functionality to the right mouse button.

    Rotate 3D - Assigns rotate 3D around center functionality to the right mouse button.

    Rotate 2D - Assigns rotate 2D around center functionality to the right mouse button.

    Zoom to Fit - Centers and zooms the graphic to maximize the fit in the workspace area.

    Graphic Views - A menu appears with the graphic view options used to display the part in the Graphical View Workspace:

    1. Enhance Graphics toggles the enhanced value for the graphics. For details on the Enhanced Graphics option in the Application Settings, see the "Application Settings - Display Tab" topic.

      Center Line Only toggles the graphic view to show only the center line and all items related to the center line.

      X+ View shows the X+ view.

      X- View shows the X- view.

      Y+ View shows the Y+ view.

      Y- View shows the Y- view.

      Z+ View shows the Z+ view.

      Z- View shows the Z- view.

      Isometric View shows an isometric view.

      Grid toggles the 3D grid in the Graphical View Workspace.

      Wireframe/Shaded toggles the graphic between solid and wireframe view.

      Wireframe Edges enhances the edges of surfaces by adding a bold outline to the part.

Standard Mouse Functionality

Note: The following describes the standard mouse functionality for the TubeShaper application. The description of these functions may be different depending on how your mouse buttons are defined.

The standard TubeShaper graphical mouse operations are:

  1. Left mouse button - Click and hold then move the mouse cursor to draw a selection box around an area of the graphic in the workspace. When the button is released, all graphic components within the selected area are highlighted to show they've been selected.

    Right mouse button - Click and hold then move the mouse cursor to pan the graphic in the workspace. The graphic moves in the same direction as the mouse cursor.

    Center mouse wheel - The graphic zooms in and out depending on the direction the mouse wheel is rotated.

    Center mouse wheel button - Click and hold then move the mouse cursor to rotate the graphic in the workspace.

More:

Title and Navigation area

Workspace View

Slideout Panel Toolbar

Project Status area

Action Bar


Workspace View

TubeShaper Workspace view

The Workspace view is where the tube graphic is displayed and manipulated in 3D. From the Workspace view, you can manipulate an imported CAD model, a measured geometric features, a tube generated from inserted values, and so on.

The Workspace view occupies the entire TubeShaper screen when opened.

A measured centerline is always visible for Nominal and Measured views and can be made more apparent using the Transparency slider from the Application Settings.

Nominal view of tube showing centerline with transparency set to 50%

Nominal view of tube showing centerline with transparency set to 100%

More:

Title and Navigation area

Graphical Operation toolbar

Slideout Panel Toolbar

Project Status area

Action Bar


Slide-out Panel Toolbar

Slide-out Panel toolbar

The Slide-out Panel toolbar is comprised of six different slide-out panels:

  1. The Data View button is used to view the tube data as:

    • XYZ coordinate values, for viewing the data of the tube intersection points

    • LRA values, for viewing the data of the tube straights

    • ALRA values, for viewing the data of the absolute LRA values of the tube straights

    For details on this slide-out panel, see the "Tube Data View" topic.

    The Tangent Points button is used to view the tangent point errors after a tube has been measured. For details on this slide-out panel, see the "Tangent Points Data View" topic.

    The CLRA button, for viewing the corrected tube bending parameters. For details on this slide-out panel, see the "Corrected LRA Data Grid View" topic.

    The Program View, for measuring, constructing and editing geometric features, like planes, circles and so on. For details on this slide-out panel, see the "Program View" topic.

    The Project/Tube Properties, for viewing and editing any tube properties for this specific project. Many of these properties can also be specified in the Application Settings area. For details on this slide-out panel, see the "Project Properties View" topic.

    The Springback button is used for viewing, selecting and calculating the project springback and elongation values. For details on this slide-out panel, see the "Springback View" topic.

    The Report Options button is used to set the options of your tube project reports. For details on this slide-out panel, see the "Report Options View" help topic.

    The slide-out panels are an important part of creating a new project. If the panel is not displayed, click one of the buttons described above. Hide the panel by clicking the currently active button (displayed in teal). Inactive buttons are displayed in black.

More

Tube Data View

Tangent Points Data View

Corrected LRA Data View

Program View

Project/Tube Properties View

Springback View

Report Options View

Creating a New Tube by Manually Entering Data


Tube Data View

Data View slide-out panel showing the XYZ data grid

To view the different data details:

  1. Click the Data View button [image] to display the Data View slide-out panel.

  2. Click the XYZ/LRA/ALRA button [image] located in the upper-right of the slide-out panel to display the XYZ/LRA/ALRA selection pop-up menu:

  3. Select the data set to view from the options available (XYZ, LRA and ALRA). The panel view updates accordingly.

  4. Click Add a Straight [image] or Remove a Straight [image] as needed. When you add a new row, it duplicates the selected row. Click inside each cell to update its value.

    When you add a new row:

    • TubeShaper creates the new row before the selected row.

    • If you don't select a row, TubeShaper adds the new row before the last row.

    When you delete a row:

    • If you don't select a row, TubeShaper removes the last row.

    • If you select the last row, the row above it then becomes the last row. For this row, TubeShaper resets the Bend Angle and Radius values to 0 (zero).

    Note: The graphic in the workspace displays project details (such as Intersection Points and Tangent Points) based on the Application Settings.

    The Reverse Engineer button [image] can be used to create a Master tube. For details on how to reverse engineer a tube, see the "Creating a New Tube by Reverse Engineering" topic.

    The Reverse Tube button [image] can be used to reverse a tube's components. When clicked, the A-End and B-End are immediately swapped. All other tube components (IP's, TP's, etc.) are renumbered accordingly.

    The Mirror Tube button [image] can be used to mirror the tube along the Y plane. When clicked, the tube is immediately mirrored.

    The Nominal Tube Properties section displays these properties:

    • End-to-end Distance

    • End-to-end Angle

    • Tube Length

    When you update data in the grid, the information in the Nominal Tube Properties section updates accordingly.

More:

Slide-out Panel Toolbar

Tangent Points Data View

Corrected LRA Data View

Program View

Project/Tube Properties View

Springback View

Report Options View


Tangent Points Data View

Click the Tangent Points button [image] to display the Tangent Points slide-out panel. Use the Tangent Points slide-out panel to view the tangent point (TP) and Mid Point (MP) errors of your project after the tube has been measured.

Tangent Points view slide-out panel

More:

Slide-out Panel Toolbar

Tube Data View

Corrected LRA Data View

Program View

Project/Tube Properties View

Springback View

Report Options View

Creating a New Tube by Manually Entering Data


Corrected LRA Data View

Click the CLRA button [image] to display the CLRA slide-out panel.

Corrected LRA (CLRA) Data slide-out panel

Use the CLRA Data slide-out to view the Corrected Length (L), Rotation (R) and Angle (A) details of your project after the tube has been measured.

The Tube Length Information grid displays length data specific to the current tube. Use the vertical scroll bar along the right side of the grid to view hidden properties.

The following properties are listed in this section:

  • Measured Tube Length - The length of the centerline of the measured tube and cannot be edited.

  • Development Tube Length - The length of the tube calculated from the CLRA data and cannot be edited.

  • Tube Cut Length - The length of the straight tube before it is bent. You can enter a new value or select one from the list.

  • Tube Length Difference - The difference between the Development Tube Length and the Tube Cut Length values and cannot be edited.

  • A-End Difference Tag - The Tube Length Difference value minus the B-End Difference Tag value and can be edited. The B-End Difference Tag value automatically updates accordingly.

  • B-End Difference Tag - The Tube Length Difference value minus the A-End Difference Tag value and can be edited. This value cannot be greater than the Tube Length Difference value. You can also use the B-End Difference Percentage field or slider to add a percentage of the Tube Length Difference.

  • B-End Difference Percentage - The percentage of the Tube Length Difference value to be applied to the B-End Difference Tag and can be edited. The slider becomes available when you hover over the box to the right. You can also use the B-End Difference Tag field to add some or all of the Tube Length Difference to the B-End difference value.

If a change was made to any of the editable properties, click outside the cell to automatically apply the property's new value. If changes were made to the B-End Difference Percentage, click the Apply button [image] to store its new value. The value in the A-End Difference Tag field is applied to the first straight and the value in the B-End Difference Tag field is applied to the last straight.

For details including a graphical view of various tube length properties, see the "Physical Properties" topic.

Click the Update [image] after the tube has been measured or if changes were made to the tube length properties to recalculate the CLRA data. The data can then be sent back to the bender by clicking the Send Tube Definition button [image] to generate a "perfect" tube. For details on the Project Action bar buttons, see the "Project Action Bar" topic.

Click Undo [image] to reset the data back to the last time the data was updated.

Click Reset [image] to change the CLRA data back to the master CLRA values.

Important: You can only reset back to the master CLRA data if Springback and Elongation values HAVE NOT been applied. If they have been applied, the LRA data will differ slightly from the actual master values.

Note: The Tube Cut Length value is always longer than the Theoretical Tube Length. Because of this, there is usually extra length in the first and/or last straight (A-End or B-End length diff tag). When the tube is measured without compensating for this extra length, the end-to-end length (the distance between A-End and B-End) will be out of tolerance. The A/B End Diff Tag values are used in the end-to-end tube length calculation to reflect the true tube length. This prevents the next CLRA data set from entering a wrong tube correction.

More:

Slide-out Panel Toolbar

Tube Data View

Tangent Points Data View

Program View

Project/Tube Properties View

Springback View

Report Options View

Creating a New Tube by Manually Entering Data


Program View

Click the Program View button [image] to display the Program View slide-out panel.

Program View slide-out panel

The Program View slide-out panel displays a tree view of the project's measurement routine. The features you have created and constructed, dimensions and alignment details are listed.

The following options are available:

  1. Features - Displays the Feature Bar. For details on creating measured features, see the "Measuring Features" topic.

    Alignments - Displays the Alignments Bar to create various alignments in your measurement routine. For details on creating alignments, see the "Creating Alignments" topic.

    Constructions - Displays the Constructions Bar to construct features. For details on constructed features, see the "Constructing Features" topic.

    Dimensions - Displays the Dimensions Bar to create linear and angular dimensions between features. For details on creating dimensions, see the "Dimensions" topic.

    Utilities - Displays the Utilities Bar to add probe prompts and comments to measurement routines. For details on adding probe prompts, see the topic "Adding a Probe Prompt to a Measurement Routine". For details on adding comments, see the topic "Adding Comments to a Measurement Routine".

More:

Slide-out Panel Toolbar

Tube Data View

Tangent Points Data View

Corrected LRA Data View

Project/Tube Properties View

Springback View

Report Options View

Creating a New Tube by Manually Entering Data


Project/Tube Properties View

Project/Tube Properties slide-out panel

Click the Project/Tube Properties button [image] to display the Project/Tube Properties slide-out panel. If a project with no tube feature is opened, only the Report Options section is displayed.

Use the Project/Tube Properties slide-out panel to review and edit the current project's properties. Changes to the properties only affects the currently opened project.

Note: To change the properties for all new projects, open the Application Settings dialog box. For details on the Application Settings dialog box, see the "Application Settings" topic.

The sections within the Project/Tube Properties slide-out panel are:

  • Report Options properties - This section defines the default options related to reports. For details on report options, see the "Report Options Properties" topic.

  • General properties - Used to enter general project information (Part Number for example). For details, see the "General Properties" topic.

  • Physical properties - Enter physical property details of the tube such as:

    • Tube diameter

    • A-End and B-End expanded/reduced diameter and length values

    • A-End and B-End offset lengths

    For details including a graphical view of various tube length properties, see the "Physical Properties" topic.

  • Tolerances properties - Enter project tolerance values of Tangent and Intersection points as well as the Qualification Envelopes. For details, see the "Tolerances Properties" topic.

  • Inspection Options properties - The available options are:

    • Select Auto Single Mode or Manual Mode inspection

    • Set Max Cylinder Fit Threshold value

    • Set Maximum Intersection Measurement Error value

    • Set whether to skip A-End and B-End inspection

    • Turn on and off A-End and B-End tool offsets

    For details, see the "Inspection Options Properties" topic.

  • Correction Options properties - The available options are:

    • Turn on or off Partial Length Correction, Partial Rotation Correction and Partial Angle Correction

    • Set the values for Correction Conflict Length and Correction Conflict Angle

    • Set value for Fixed Spring-back

    • Set value for Proportional Springback Percentage

    • Set value for Tube Elongation Percentage

    For details, see the "Correction Options Properties" topic.

  • Misc - Enable or disable the Use the cumulative R value option.

    • For details, see the "Misc Options Properties" topic.

More:

Slide-out Panel Toolbar

Report Options properties

General properties

Physical Properties

Tolerances properties

Inspection Options properties

Correction Options properties

Misc Options Properties

Tube Data View

Tangent Points Data View

Corrected LRA Data View

Program View

Springback View

Report Options View


Report Options Properties

Settings and values made through this dialog are applied only to the currently opened project.

Note: To make changes that are applied to all new projects, see the "Project/Tube Defaults" topic in the "Application Settings" section of the help.

The following Project/Tube Defaults application settings and values can be set:

  • Auto Create Report - When marked, a report is created each time a tube is measured.

  • Auto Create Report CSV - When marked, a CSV (Comma-Separated Values) report is created each time a tube is measured.

  • Auto Create Report PDF - When marked, a PDF (Portable Document Format) report is created each time a tube is measured.

  • Units - Select the linear units option you want the measured data values to be in for new reports. For example, if the tube was measured in mm but you want the report to be in inches, select the Inch option. The measured units are converted from mm to inches (if necessary) for all new reports.

  • Angular Units - Select the angular units option you want the measured data values to be presented for new reports. For example, if the tube was measured in degrees but you want the report to be in radians, select the Rad option. The measured units are converted from degrees to radians (if necessary) for all new reports.

More:

Project/Tube Properties View

General Properties

Physical Properties

Tolerances Properties

Inspection Options Properties

Correction Options Properties

Misc Options Properties


General Properties

The General Properties section of this panel provides general information related to the current project. The options in this section are:

  1. Part Number - The software inserts the project filename into the Part Number box by default unless a CAD model of a tube is created or imported into the project. If a CAD model is part of the project, the Part Number assigned to the project is the same as the name of the CAD model.

    Part numbers can be particularly important when recalling tubes from certain tube benders. For details on recalling tubes from benders, see the "Recalling Nominal Data from the Bender" section.

    Instruction - You can enter instructions, notes or comments specific to the tube project.

More:

Project/Tube Properties View

Report Options Properties

Physical Properties

Tolerances Properties

Inspection Options Properties

Correction Options Properties

Misc Options Properties


Physical Properties

The Physical Properties section of the Project/Tube Properties slide-out panel provides information on the physical characteristics of the tube being processed.

The properties on this section of the panel are:

  1. Tube Diameter

    A-End Expanded/Reduced Diameter

    A-End Expanded/Reduced Length

    B-End Expanded/Reduced Diameter

    B-End Expanded/Reduced Length

    Note: When measuring expanded and reduced ends in manual mode, make sure you measure on both sides of the expansion / reduction sections as prompted.

    Click to view example of a tube with an expanded or reduced end:

    A - Diameter of Expanded End of Tube
    B - Diameter of Reduced End of Tube
    C - A-End
    D - Expanded and Reduced Lengths (At least the first measurement must be taken on this part of the tube)
    E - Tube Diameters

    Example detailing tubes with expanded and reduced ends

    A-End Offset Length

    B-End Offset Length

    Examples to explain when a Positive Offset Length value is used

    • The real physical tube end is buried inside an end bracket, or...

    • If a plug cannot be inserted into the tube end (for example, a Negative Offset Length)

    Because the real tube end position cannot be measured, the touch probe is used to measure the bracket on the plane. The Positive Offset Length is equal to the distance from the measured plane to the true end point of the tube. It is then added to the measured tube length, from the position of the measured plane.

    Click to view example of a tube with a Positive Offset Length:

    A - Physical End of the Tube
    B - Part of the tube is buried inside the bracket, so the real end position cannot be measured.
    C - Because of the positive offset length, the tube End Point is calculated here, at the same point as the end of the real tube.
    D - +ve End Offset Length
    E - For a positive offset length, the tube end can be measured here, at the bracket plane, by using the touch probe.

    Example detailing tube with Positive Offset Length

    A Negative Offset Length value is used if the end of the tube is too big to be measured with the tube probe. For example, if a flange is at the end of the tube, but the tube's end point must be measured anyway. A plug is placed in the end of the tube that has a smaller diameter, and can be measured by the Tube Probe. The Offset Length then is equal to the length of the plug. When the tube end is measured, it is measured from the end of the plug. The Offset Length value is subtracted from the tube length in order to calculate the true position of the tube end.

    Click to view an example of a tube with a Negative Offset Length:

    A - The plug is placed inside the end of the tube
    B - The physical end of the tube (the diameter is too big to be measured with the tube probe)
    C - -ve End Offset Length
    D - Because of the Negative Offset Length, the tube End Point is calculated here, at the same point as the end of the real tube
    E - The tube end should be measured here

    Example detailing a tube with a positive or Negative Offset Length

More:

Project/Tube Properties View

Report Options Properties

General Properties

Tolerances Properties

Inspection Options Properties

Correction Options Properties

Misc Options Properties


Tolerances Properties

The Tolerances section of the Project Properties slide-out panel provides property settings specific to the tolerance values for the project.

The properties on this panel are:

  1. Tangent Point/Qualification Envelope - Defines the tangent point tolerance for new or current projects.

    Intersection Point - Defines the intersection point tolerance for new or current projects.

    End to End Offset Tolerance - Defines the tolerance for the End-to-End offset.

    End-To-End Angle Error Tolerance - Defines the tolerance for the End-to-End angle error.

    A-End Length Qualification Envelope - A-End Length error is the distance between the A-End point on the nominal tube and its projection onto the measured tube. The A-End Length Qualification Envelop is the tolerance value imposed on this error.

    B-End Length Qualification Envelope - B-End Length error is the distance between the B-End point on the nominal tube and its projection onto the measured tube. The B-End Length Qualification Envelope is the tolerance value imposed on this error.

    A-End Offset Qualification Envelope Tolerance - Defines the offset error tolerance value for the A-End Qualification Envelope.

    B-End Offset Qualification Envelope Tolerance - Defines the offset error tolerance value for the B-End Qualification Envelope.

    A-End Angle Qualification Envelope - A-End Angle error is the angle between the first straight of the nominal tube and the first straight of the measured one. The A-End Angle Qualification Envelope is the tolerance value for that angle error.

    B-End Angle Qualification Envelope - B-End Angle error is the angle between the first straight of the nominal tube and the first straight of the measured one. B-End Angle Qualification Envelope is the tolerance value for that angle error.

More:

Project/Tube Properties View

Report Options Properties

General Properties

Physical Properties

Inspection Options Properties

Correction Options Properties

Misc Options Properties


Inspection Options Properties

The Inspection Options section of the Project Properties slide-out panel provides property settings specific to inspection options for the project.

The properties on this panel are:

  1. Measurement Mode - Click the drop-down arrow to select the measurement mode for your project:

    1. Auto Single Mode - Select this option to run in Auto Single Mode. When measuring a tube in Auto Single Mode, measurements (points) are only taken on one side of the tube. Two points are recorded each sweep. For each straight, one sweep (two points) is taken near each end of the straight, starting from the A-End and working towards the B-End. After each successful sweep the arm makes a sound to prompt you to measure the other end of the straight. After two successful sweeps of each straight the arm makes a success sound to prompt you to measure the next feature, end or straight. If the straight or end measurement was unsuccessful, a failure sound occurs and a prompt to start the straight or end measurement over again is displayed.

      This mode is different from Manual Mode in that TubeShaper automatically advances you to the next measurement after each successful one. This makes it easier and faster to measure a tube.

      Auto Single Mode can be used with single and double precision probe types.

      Note: Remember that when in Auto Single Mode, the diameter of the tube is not measured. The centerline of the tube is determined as a tube radius distance from each beam. This makes measurements of tubes that are distorted or not round, for whatever reason, less accurate than if using a double precision probe in Manual Mode.

      Manual Mode - Select this option to run in Manual Mode which is the default TubeShaper measuring mode. In this mode you can take as many points as you like on each straight or ends of the tube. You should make an effort to take data on both sides of the tube by advancing the probe down as far as possible on each sweep.

    Max Cylinder Fit Threshold - Used to set the maximum cylinder fit threshold value allowed which is applied when measuring the constituent cylinders and end planes of a tube. If the measurement exceeds this value, a warning is displayed. The default value is 0.750 mm.

    Maximum Intersection Measurement Error - Used to set the maximum error distance between a measured straight’s centerline and the previous straight’s centerline before a warning is issued. It is computed based on the shortest distance between two straight lines in 3D space. The default value is 2.000 mm.

    Skip A-End - Enables skipping the measurement inspection of the A-End plane when marked. This is particularly useful if a tube is mounted at one end (for example, when an exhaust pipe is mounted on an engine block.)

    Skip B-End - Enables skipping the measurement inspection of the B-End plane when marked.

    A-End Tool Offset - When an End Tool is attached to the A-End of the pipe, a tool offset is created. When this option is marked, the inspection of the tool offset at the A-End of the tube is enabled.

    B-End Tool Offset - The same as the A-End Tool Offset, except it applies to the B-End of the pipe.

    Click to view details of a bending process using an End Tool:

    A - Calculated A-End position
    B - A-End Tool

    Example of a bending process using an End Tool

More:

Project/Tube Properties View

Report Options Properties

General Properties

Physical Properties

Tolerances Properties

Correction Options Properties

Misc Options Properties


Correction Options Properties

The Correction Options section of the Project/Tube Properties slide-out panel provides settings that apply specific corrections to the measured data.

The properties on this panel are:

  1. Partial Length Correction - When marked, the length of the straight section WILL BE corrected if the following is true:

    • Its nominal value is greater than or equal to the Correction Conflict Length.

    • The resulting corrected value is greater than or equal to the Correction Conflict Length.

    Partial Rotation Correction - When marked, the value of the rotation WILL BE corrected if the following is true:

    • The nominal values of the straight length for all three consecutive straights which form the rotation, are greater than or equal to the Correction Conflict Length.

    • The nominal values of the two bend angles on both sides of the rotation are greater than or equal to the Correction Conflict Angle. Set the Correction Conflict Angle to a value anywhere from 10 to 20 degrees.

    Partial Angle Correction - When marked, the value of the bend angle WILL BE corrected if the nominal values of the straight length for the two straights on both sides of the bend are greater than or equal to the Correction Conflict Length.

    Note: The Partial Angle Correction is NOT affected by the value of the Correction Conflict Angle.

    Correction Conflict Length - The length limit used when the Partial Length Correction check box is marked.

    Correction Conflict Angle - The angle limit used when the Partial Angle Correction check box is marked.

    A-End Bias Factor - A weight factor for the A-End Plane during correction calculation. Enter a value directly or use the Up/Down arrows to increment as needed.

    Note: This option is only available through the Project/Tube Defaults settings in the Applications Settings. For details on all Application Settings options, see "Application Settings".

    B-End Bias Factor - A weight factor for the B-End Plane during correction calculation. Enter a value directly or use the Up/Down arrows to increment as needed.

    Note: This option is only available through the Project/Tube Defaults settings in the Applications Settings. For details on all Application Settings options, see "Application Settings".

    Third Straight Bias Factor - A weight factor for a specific straight during correction calculation. Enter a value directly or use the Up/Down arrows to increment as needed.

    Note: This option is only available through the Project/Tube Defaults settings in the Applications Settings. For details on all Application Settings options, see "Application Settings".

    Fixed Springback - The amount of springback per degree of bend. The value is dependent on the tube's material and ranges from 0 to 360 (inclusive).

    Proportional Springback Percentage - A springback value in percentage and is proportional to the bending angle. The range of values is 0 - 100 (inclusive).

    Tube Elongation Percentage - The tube elongation percentage per degree of bend. The value is dependent on the tube's material and ranges fro 0 - 100 (inclusive).

More:

Project/Tube Properties View

Report Options Properties

General Properties

Physical Properties

Tolerances Properties

Inspection Options Properties

Misc Options Properties


Misc Options Properties

The Misc section of the Project/Tube Properties slide-out panel provides these options:

    Use the cumulative R value check box - When marked, the rotational value for each bend is incrementally calculated based on the rotational value of the previous bend. When not marked, the rotational value is relative to the rotational value of the previous bend.

More:

Project/Tube Properties View

Report Options Properties

General Properties

Physical Properties

Tolerances Properties

Inspection Options Properties

Correction Options Properties


Springback View

Click the Springback button [image] to display the Springback slide-out panel.

Springback slide-out panel

The Springback slide-out panel is used to calculate new Fixed Springback, Proportional Springback Percentage and Tube Elongation Percentage values. The tube project must contain valid measurement data in order to calculate these new values.

Calculating New Springback Values

To calculate new springback values for a springback tube project:

  1. Open one of the standard springback tube projects from the Project Listing area of the Project hub view screen. Before measuring, the tube project must be prepared to reflect the dimensions of the physical springback tube. Use the functions in the Tools menu to measure the tube length, bend radii and diameter if necessary.

    2. Note: A springback tube project is essentially the same as any other tube project except it is specifically used to calculate the set of springback values. Also, it is limited to a certain number of bends (typically two - 60 degrees and 120 degrees) and no rotations.

    TubeShaper is shipped with two standard springback tube projects: a two-bend (20-120 degrees) and a four-bend (10-20-60-120 degrees).

  2. Edit the springback tube's value set by changing the tube diameter, bend radius or straight lengths from the LRA data view of the Tube Data View slide-out panel. Alternatively, you can edit the Tube Cut Length, Bend Radius or Tube Diameter values from the Springback slide-out panel:

    1. The Tube Cut Length field should show the value that was measured. The value can be edited in the Tube Cut Length field by manually entering a new value or use the drop-down list to select a stored value (if it was measured previously from the Tools menu option).

    2. Click the Apply button to the right of the field when done. The new Tube Cut Length is automatically applied to your project.

    3. Edit the current bend radius value in the Bend Radius field, manually enter a new one or use the drop-down list to select a stored value (If it was measured previously in the Tools section).

    4. Click the Apply button to the right of the field when done. The following warning message appears:

    5. Click OK to apply or Cancel to exit the dialog.

    6. Edit the current tube diameter value in the Tube Diameter field, manually enter a new one or use the drop-down list to select a stored value (If it was measured previously in the Tools section).

    7. Click the Apply button to the right of the field when done. The following warning message appears:

  3. The springback tube is now ready for measurement. Click the Execute button [image] on the Project Action bar. (For details on measuring tubes with the ROMER Arm, see the Measuring a Tube topic.)

  4. Once measurements are completed, click the Calculate Springback Values button [image]. The Fixed Springback, Proportional Springback Percentage and Tube Elongation Percentage values all update accordingly.

  5. Click the Save Springback button [image] to store the new set of springback values for use in other projects. The springback data is saved using the name of your currently opened project. Click in the drop-down field to edit the current name or enter a new name if necessary. Click the Delete button [image] to permanently delete the springback value set.

Once new springback values are calculated and saved, the values are available for any project.

Apply Springback Value to an Existing Tube Project

Important: You can only reset back to the master CLRA data if Springback and Elongation values HAVE NOT been applied. If they have been applied, the LRA data will differ slightly from the actual master values.

To apply springback values to an existing project:

  1. From the Project Listing area of the Project hub view screen, open the tube project you want to apply the new springback values to.

  2. Measure the tube. (For details on measuring tubes with the ROMER Arm, see the Measuring a Tube topic.)

  3. Click the Springback View button [image] to display the Springback slide-out panel.

  4. Select the appropriate file from the Springback Value Set Name list. The set of springback values are automatically applied to your project.

  5. Click Save/Export [image] in the lower-right of the screen to save any updates made to your project.

Note: Whenever you change the Springback Value Set Name file or edit any of the springback values, the CLRA values are automatically recalculated.

More:

Slide-out Panel Toolbar

Tube Data View

Tangent Points Data View

Corrected LRA Data View

Program View

Project/Tube Properties View

Report Options View

Creating a New Springback Tube Project


Report Options View

Click the Report Options button [image] to display the Report Options View slide-out panel.

Changes made only affect new reports created for the currently opened project.

For details on setting reporting options, see the "Report Options" section of the "Reports" chapter.

Setting options for reports are also accessible from the Applications Settings dialog. For details on setting report as well as project settings, see the "Application Settings" chapter.

Note: Any changes made through the Application Settings only affect new projects.

Slide-out Panel Toolbar

Tube Data View

Tangent Points View

Corrected LRA Data View

Program View

Project Properties View

Springback View

Creating a New Springback Tube Project


Project Status Area

The project status area is located between the slide-out panel and the Action bar in the lower-right of the screen.

The purpose of the status area is to inform you:

  • The mode you are running (online or offline)

  • The units the project is setup for (mm or inches)

When running offline, the status area shows the offline message and units:

When online, the status area shows the XYZ positions of the arm and units:

More:

Title and Navigation area

Graphical Operation toolbar

Graphical Workspace

Slide-out Panel Toolbar

Action Bar


Project Action Bar

The Action bar displays buttons that perform project functions that initiate interactions with the Graphical workspace.

The following buttons are available:

  1. Measure/Stop Program button - When clicked, the measurement of the tube begins. If the tube measurement also requires the measurement of geometric features (holes, planes and so on), then clicking on the Measure/Stop Program button starts the tube and feature measurement process. The button changes to a Stop Execution button [image] when clicked. When the Stop Execution button is clicked, the measurement of the tube stops and the button reverts back to the Execute button. If the Stop Execution button is pressed part way through a tube measurement, all previous tube measurements are restored.

    Recalculate button - The button is only enabled when a tube has been successfully measured. When clicked, the tube's CLRA data are recalculated.

    Send to Bender button - Sends the local tube definition data to the selected bending machine. The button is only enabled when a bending machine has been defined, configured and selected.

    Available Benders list - Click to display a pop-up list of bending machines defined in your system. Select the machine from the list for the current project. When a bender is selected, TubeShaper tests the bender connection. If the connection is functioning correctly, the bender name is displayed in green. If a problem occurs while attempting the connection, the bender name is displayed in red.

    Recall from Bender button - Retrieves the tube definition data from the selected bending machine. The button is only enabled when a bending machine has been defined, configured and selected.

    Save/Export Menu button - When clicked, the Save/Export menu appears.

    For details on saving and exporting a project, see the appropriate topic in the "Saving and Exporting Projects" chapter.

    By default, all project files are stored locally in the "C:\Users\Public\Documents\WAI\TubeShaper" folder.

    For details on where TubeShaper files are saved and how to change the location, see the "Application Settings" topic.

    View Selector button - When clicked, the View Selector button displays the View Selector pop-up menu.

    The menu is used to select what is to be displayed in the Graphical Workspace.

    The options are:

    • CAD view - Only available if a CAD model was imported into the project. The CAD graphic view is displayed in a purple color.

    • Nominal view - Available when the nominals have been manually entered, retrieved from a bending machine or extracted from an imported CAD model. The nominal graphic view is displayed in a teal color.

    • Measured view - Available after the tube has been measured. The measured graphic view is displayed in a charcoal color.

    • Note: A new project without an imported CAD model only displays the initial Nominal view. Once the nominals for the tube have been created and run through a bending machine, the Measured view becomes available.

More:

Title and Navigation area

Graphical Operation toolbar

Graphical Workspace

Slideout Panel Toolbar

Project Status area


Creating a New Tube by Manually Entering Data

To create a new tube:

  1. Click New Project from the TubeShaper main screen to display the new project Workspace.

  2. A blank Data Grid slide-out panel is displayed on the right side of the Workspace. Select the Data View to the correct data type for your tube. For example:

    • If you are entering LRA values, click the XYZ/LRA (YBC)/ALRA button [image] and select the LRA option

    • If you are entering Intersection Point XYZ coordinates, click the XYZ/LRA (YBC)/ALRA button [image] and select the XYZ option

  3. Click the Add a Straight button [image] to display the Create Tube dialog box.

    Insert the number of straights on your tube, the bend radius and tube diameter. If the tube diameter or bend radius are not known, click the Tools button [image] to measure them. For details on the Tools options, see the appropriate section of the "Tools" chapter.

    If your tube has a cap or plug on one or both ends, click the Advanced Options button [image] to display the following options.

    Make the following updates as needed:

    1. Enter the value(s) for the Expanded/Reduced Length fields. For details on expanded and reduced lengths, see the topic "Physical Properties".

    2. Enter the value(s) for Expanded/Reduced Diameter fields. For details on expanded and reduced diameters, see the topic "Physical Properties".

    3. Enter the Offset Length value(s) for the A-End and B-End. For details on A-End and B- End offset lengths, see the topic "Physical Properties".

    4. If you want to skip the measuring of either end, mark the appropriate Skip End Measurement check box. For details on skipping end measurements, see the topic "Skip End Measurement".

    Note: The value of the Offset Length must be negative if a plug-in is added at either end. For example, if you add a plug-in of 30mm at the A-End, the value for the A-End Offset Length must be -30.

  4. Select the LRA or XYZ data view option that is displayed when you are done.

  5. When finished, click OK. The Data Grid is now ready for you to enter your data values. The project title changes to orange, the Data Grid is surrounded by an orange box, and a message informs you of an incomplete data set.

    If the slide-out panel is hidden, the message "Incomplete tube!" is displayed in the Status area of the Workspace.

  6. Click in each cell and type the values for each tube section. Use the Tab key on your keyboard to move through each row. The graphic in the Workspace updates automatically as you add the data. When all the cells contain valid values, the title changes back to the normal teal color, and the orange box and message disappear.

    Note: The last two cells of the last row in the LRA (YBC) Data View panel do not need to be updated. Since values hold no meaning for these two cells for the last straight, the hyphen character is inserted.

    If the tube is invalid (for example, if the entered values cause the tube to bend itself into a pretzel shape) a red box is displayed around the data grid. A message is displayed below the grid with a brief description of the error.

    The message "Invalid tube!" is also displayed in the Status area of the Workspace in case the panel is closed.

    Make the appropriate corrections to validate the tube.

  7. If you make a mistake, click the Add a Straight button [image] or Remove a Straight button [image] as needed. When you create a new straight by adding a new row, it duplicates the selected row. Click inside each cell to update its value.

    When you add a new row:

    • TubeShaper creates the new row before the selected row.

    • If you don't select a row, TubeShaper adds the new row before the last row.

    When you delete a row:

    • If you don't select a row, TubeShaper removes the last row.

    • If you select the last row, the row above it then becomes the last row. For this row, TubeShaper resets the Bend Angle and Radius values to 0 (zero).

    Note: The graphic in the workspace displays project details (such as Intersection Points and Tangent Points) based on the Application Settings.

  8. Once the tube has been defined, click Execute/Stop Program button [image] to begin the measurement.

  9. Click the Save/Export Menu button [image] located in the lower-right of the project Workspace.

    For details on saving and exporting a project, see the appropriate topic in the "Saving and Exporting Projects" chapter.

More:

Skip End Measurement

Tube Data View

Tangent Points Data View

Corrected LRA Data View

Program View

Project/Tube Properties View

Springback View

Report Options View


Skip End Measurement

Skipping the end of a measurement is sometime necessary such as when a tube is mounted onto a manifold. The Skip End Measurement check boxes can be used for this purpose and can be applied to the A-End or B-End of the tube.

Create Tube dialog box showing the Skip End Measurement check boxes

When you mark the Skip End Measurement check box for the A-End, the measurement routine does not prompt you to measure that end. The measurement sequence instead is:

  1. Straight 1 Pass 1

  2. Straight 1 Pass 2

  3. Straight 2 Pass 1

  4. Straight 2 Pass 2 and so on.

    1. If the true position of the tube end is of no interest, then the end measurement is skipped. This may occur if the tube has a bracket at the end, or is mounted onto another component.

    2. Two swipes are made to measure the tube straight.

    3. The end point of the tube is now calculated here, at the most extreme measured point.

    Note: It is advised in these cases to always use a Tangent Point best-fit alignment (which does not use the end points to align).

    Example when Skip End Measurement check box is marked

Note: You can also manually skip end measurements with a long press on the center button of your probe. For details, see the "Exceptions" section of the "ROMER Arm Buttons" topic.

More:

Creating a New Tube by Manually Entering Data


Creating a New Tube by Reverse Engineering

A physical "Master" tube (or "Golden Part") can be used as your nominal tube inside TubeShaper. In this way, all tube measurements can be compared to this master part.

The Master tube is created by Reverse Engineering the tube in question.

  1. Click New Project from the Project Menu bar on the main screen. A blank new project Workspace screen is displayed.

  2. If TubeShaper is already connected to a ROMER Arm, click the Reverse Engineer button [image] found on the Data View slide-out panel to display the Create Tube dialog box. Clicking the Add a Straight button [image] also displays this dialog box which is useful for offline work.

    If your tube has a cap or plug on one or both ends, click the Advanced Options button [image] to display further options.

    Make the following updates as needed:

    1. Enter the value(s) for the Expanded/Reduced Length fields. For details on expanded and reduced lengths, see the topic "Physical Properties".

    2. Enter the value(s) for Expanded/Reduced Diameter fields. For details on expanded and reduced diameters, see the topic "Physical Properties".

    3. Enter the Offset Length value(s) for the A-End and B-End. For details on A-End and B- End offset lengths, see the topic "Physical Properties".

    4. If you want to skip the measuring of either end, mark the appropriate Skip End Measurement check box. For details on skipping end measurements, see the topic "Skip End Measurement".

    5. Tool offset check box. Mark the appropriate check box if a tool offset is required for either end of the tube. For details on Tool Offsets, see the topic "Inspection Options Properties".

    6. Tube length - If you selected ALRA, enter the theoretical tube length. The field is disabled when either LRA (YBC) or XYZ is selected.

    7. Use the cumulative R value check box. For details on this option, see the topic "Misc Options Properties".

    Note: The value of the Offset Length must be negative if a plug-in is added at either end. For example, if you add a plug-in of 30mm at the A-End, the A-End Offset Length must be -30.

  3. Enter the number of straights on your tube, the ending radius and the tube diameter.

  4. Select the LRA (YBC), XYZ or ALRA data view option that is displayed when you are done. Click OK when ready.

  5. Follow the steps to measure the tube shown along the bottom of the screen.

  6. Once measurements are completed, you are prompted to normalize the data. Click OK to normalize the data. Once normalized, the tube's nominal data is adjusted so the XYZ data starts at 0, 0, 0.

    Note: If the software detects an angle greater than 175 degrees, the arm emits a notification sound and then instructions appear along the bottom of the screen. Follow the instructions to measure the detected bend area and then re-measure the second straight. This ensures that an accurate measurement is recorded.

More:

Recalling Nominal Data from the Bender

Aligning a Reverse Engineered Tube to a Different Coordinate System

Creating a New Project with Import

Configuring the Bender

Editing a Project

Creating Features

Constructing Features

Creating Alignments

Measuring a Tube


Recalling Nominal Data from the Bender

A nominal tube can be generated from the tube file stored on the bending machine.

The bending machine must be defined and configured. See "Configuring the Bender" topic for details.

Once the bending machine is defined and configured:

  1. Click Benders from the Hub View Selection Pane.

  2. Select the appropriate bending machine from the Bender Listing section.

  3. Click the Recall from Bender button [image] to recall the tube file details from the selected bender. The Recall From Bender dialog appears.

  4. In the Part number box, enter the part number of the tube then click OK to recall the tube details.

    Note: Alternatively, click the Browse button [image] and use the Browse for bender files dialog box that appears to navigate to a bender file to recall bender data.

    You can find the part number for a particular project from the General section of the Project/Tube Properties slide-out panel. For details on the Project properties, see the "Project/Tube Properties View" topic.

    If a tube project with the same part number is already defined, a warning message appears.

    • Select OK to open the recalled tube in the project's Workspace with the same name as the existing tube project.

    • Select Cancel to exit the dialog.

  5. Once the tube project is saved, click Projects from the Project Menu Tabs then click New Projects to display the blank new project Workspace screen.

  6. Click the Available Benders list button [image] in the Action bar to display the bending machine pop-up list. Select the appropriate machine from the list. The project Workspace now displays the nominal view of the tube recalled from the bending machine.

  7. Update the nominal data set if necessary.

More:

Creating a New Tube by Reverse Engineering

Aligning a Reverse Engineered Tube to a Different Coordinate System

Creating a New Project with Import

Configuring the Bender


Aligning a Reverse Engineered Tube to a Different Coordinate System

There are two ways to align a reverse engineered tube to another coordinate system:

Reverse engineer a tube first, then create a prismatic alignment:

  1. Reverse engineer the tube. For details, see the "Creating a New Tube by Reverse Engineering" section of this documentation.

  2. At the end of the reverse engineering process, the software prompts you to normalize the tube. The act of normalizing the tube adjusts the nominals of the tube's XYZ values to start at 0,0,0. You would not do this if you are going to create prismatic alignment(s).

  3. Create the features you will use as inputs to the prismatic alignment(s), and then measure these features. For details on creating features, see the "Creating Features" chapter of this documentation.

  4. Create the prismatic alignment(s). For details on creating prismatic alignments, see the "Creating Prismatic Alignments" chapter of this documentation. At the end of the creation of the prismatic alignments, you are prompted to apply the alignment to the tube's nominals. Answering Yes to this prompt will apply the new coordinate system to the tube's nominal values.

    5. Important: The input features to the alignments must have measured data or you will not be prompted to apply the alignment to the tube's nominals.

  5. Click Yes to apply the alignment.

Create a prismatic alignment, then reverse engineer the tube:

  1. Create the input features that will be used in the alignment.

  2. Measure the input features.

  3. Create the prismatic alignments.

  4. Reverse engineer the tube. When you are at the end of reverse engineering the tube, the software prompts for you to select the tube's alignment.

    5. Important: If you select one of the pre-defined tube alignments, the tube's nominals will not be adjusted. You must select a prismatic alignment whose inputs have measured data. For details on TubeShaper's pre-defined tube alignments, see the section "Creating Tube Based Alignments" in this documentation.

    If you attempt to reverse engineer a tube, and there exists prismatic alignments whose inputs do not have measured data, the software prompts if you want to continue reverse engineering the tube.

    Click OK to continue reverse engineering the tube. Click Cancel to exit without reverse engineering the tube.

More:

Creating a New Tube by Reverse Engineering

Recalling Nominal Data from the Bender

Creating a New Project with Import

Configuring the Bender


Creating a New Project with Import

A new project can be created with an imported CAD model.

To create a new project with an imported CAD file:

  1. Click New Project with Import from the TubeShaper main screen's Project Menu bar. The Browse for file dialog box appears.

  2. Use the File Filter drop-down to select the file type of interest, then navigate to the CAD file and click it to select it.

    List of file types supported by TubeShaper

    TubeShaper supports the following file types:

      • ACIS file types: *.sab, *.sat

      • AutoCAD file types: *.dxf, *.dwg

      • BLM file types: *.blm

      • Catia file types: *.3dxml, *.cat, *.CATPart, *.CATProduct, *.exp, *.iso, *.mod

      • Common CAD file types: *.iges, *.igs, *.jt, *.des, *.stp, *.step, *.stl, *.vda, *.xyz

      • DOCS file types: *.ds

      • GTube file types: *.gtt

      • Inventor file types: *.iam, *.ipt

      • ParaSolid file types: *.x_t, *.x_b, *.xmt_txt, *.xmt_bin

      • PC-DMIS file types: *.cad, *.draw

      • ProE file types: *.prt, *.xas, *.xpr

      • SolidEdge file types: *.asm, *.par

      • SolidWorks file types: *.sldasm, *.sldprt

      • SupraVision file types: *.$$$

  3. Click Open to import the CAD model into the project Workspace as a new tube project. The tube geometry is extracted automatically.

  4. Perform the necessary operations as needed.

  5. When done, click the Save to save or export your new project. See the "Project Action Bar" topic for details on saving and exporting a project.

More:

Creating a New Project

New Project Interface

Creating a Springback Project

Creating a New Tube by Reverse Engineering

Saving and Exporting Projects

Configuring the Bender

Editing a Project

Creating Measured Features

Constructing Features

Creating Alignments

Measuring a Tube


Creating a New Springback Tube Project

Note: A springback tube project is essentially the same as any other tube project except it is specifically used to calculate the set of springback values. Also, it is limited to a certain number of bends (typically two - 60 degrees and 120 degrees) and no rotations.

TubeShaper is shipped with two standard springback tube projects: a two-bend (20-120 degrees) and a four-bend (10-20-60-120 degrees).

Two Springback Tube Projects are supplied as standard with every license of TubeShaper. However, you can also create new Springback Projects if you wish. To do this:

  1. Measure the tube cut length by clicking the Tools button [image] from the Main Menu bar on any of the TubeShaper screens.

  2. Select the Straight tab on the Tools dialog, click the Measure button [image] and follow the instructions along the bottom of the screen.

  3. From the project screen, click the Springback button [image] to display the Springback View slide-out panel.

  4. The Tube Cut Length field should show the value that was measured in step 2. However, the current tube cut length value can also be manually edited in the Tube Cut Length field by manually entering a new value or use the drop-down list to select a stored value (if it was measured previously from the Tools menu option).

  5. Click the Apply button to the right of the field when done. The new Tube Cut Length is automatically applied to your project.

  6. Edit the current bend radius value in the Bend Radius field, manually enter a new one or use the drop-down list to select a stored value (If it was measured previously in the Tools section).

  7. Click the Apply button to the right of the field when done. The following warning message appears:

  8. Click OK to apply or Cancel to exit the dialog.

  9. Edit the current tube diameter value in the Tube Diameter field, manually enter a new one or use the drop-down list to select a stored value (If it was measured previously in the Tools section).

  10. Click the Apply button to the right of the field when done. The following warning message appears:

  11. Click OK to apply or Cancel to exit the dialog.

  12. Click the Measure/Stop Program button [image] located in the lower-left of the TubeShaper screen to begin measuring the springback tube. Follow the instructions along the bottom of the screen.

  13. Once the measurements are completed, the Calculate Springback Values button [image] is enabled. Click the Calculate Springback Values button to generate the new set of springback values.

  14. The Springback Value Set Name field defaults to the name of the currently opened project. If necessary, update the name with a unique name to identify the new set of springback values.

  15. Click the Save/Export Menu button [image] located in the lower-right of the screen and save the changes made as needed. Click the Delete button [image] to permanently delete the springback value set.

    For details on saving and exporting a project, see the appropriate topic in the "Saving and Exporting Projects" chapter.

Once saved, the new set of springback values can be applied to any tube project by selecting it from the Springback Value Set Name drop-down list.

More:

Creating a New Project

New Project Interface

Creating a New Tube by Manually Entering Data

Creating a New Tube by Reverse Engineering

Creating a New Project with Import


Saving and Exporting Projects

Click the Save/Export Menu button [image] located in the lower-right of the project's Workspace screen.

If changes to the opened projects have not been saved, and you attempt to exit the Project Workspace, a warning message appears.

Warning message to save a changed project

  • Select Yes to save the project with the current tube project name.

  • Select No to exit the Project Workspace. Changes made to the project are not saved.

  • Select Cancel to exit the dialog but remain in the Project Workspace.

Click the Save/Export Menu button to display the following menu.

Save and Export menu

  1. Save - saves any changes to the project under the currently opened project name. If the project is new and has never been saved before, the Save As dialog is displayed.

    Save As - displays the Save As dialog box.

    Save As dialog box

    Enter a unique name for the project and click Done to save it. Project files are saved in the location specified in the Application Settings dialog.

    For details on where TubeShaper files are saved and how to change the location, see the "Application Settings" topic.

    The Export options are used to export the project as SV or CAD outputs.

    • For details on exporting the project as an SV output, see the "Export a Project as an SV Output" topic.

    • For exporting the project as a CAD output, see the "Export a Project as a CAD Output" topic.

More:

Export a Project as an SV Output

Export a Project as a CAD Output

Application Settings


Export a Project as an SV Output

TubeShaper :Home | Saving and Exporting Projects | Export TubeShaper Project as an SV Output

Exporting a Project as an SV Output

To export a TubeShaper project as an SV file:

  1. Click the Save/Export Menu button [image] located in the lower-right of the project's Workspace screen. The Save/Export menu appears.

  2. Click the Export SV option, the Export Project dialog box for SV output appears.

    Export Project dialog box for SV output

  3. If necessary, navigate to the folder where the SV project file will be exported. The dialog box opens to the default folder location specified in the Application Settings dialog box.

    For details on where TubeShaper files are saved and how to change the location, see the "Application Settings" topic.

  4. Enter a unique name into the File Name field. The current project name is used by default. Use the File Filter drop-down list to display only the selected file types.

  5. Click OK to export the project as an SV file type. Click Cancel to exit the dialog box.

More:

Saving and Exporting Projects

Export TubeShaper Project as an CAD Output

Application Settings


Export a Project as a CAD Output

TubeShaper :Home | Saving and Exporting Projects | Export TubeShaper Project as a CAD Output

Exporting a Project as a CAD Output

To export a TubeShaper project as a CAD file:

  1. Click the Save/Export Menu button [image] located in the lower-right of the project's Workspace screen. The Save/Export menu appears.

  2. Click the Export CAD option, the Export dialog box appears.

    Export CAD Selection dialog box

  3. Select the appropriate export options - the Nominal Tube option is selected by default.

  4. Click OK to display the Export Project dialog box for CAD output.

    Export Project dialog box for CAD output

  5. If necessary, navigate to the folder where the CAD project file will be exported. The dialog box opens to the default folder location specified in the Application Settings dialog box.

    For details on where TubeShaper files are saved and how to change the location, see the "Application Settings" topic.

  6. Enter a unique name into the File Name field. The current project name is used by default. Use the File Filter drop-down list to display only the selected file types.

  7. Click OK to export the project as a CAD file type. Click Cancel to exit the dialog box.

More:

Saving and Exporting Projects

Export a Project as an SV Output

Application Settings


Editing a Project

To edit a project, double-click any of the project files in the Project Listing area of the main screen to open the tube project in the Workspace. You can also single-click a project in the list and click Open [image] located in the lower-right of the main hub view screen.

Example of a tube project open in the Workspace for editing

Note: When a project is opened that is associated with a bender interface that has been deleted or renamed, the association no longer exists. If this occurs, you can delete the association or remap it to another bender interface or the renamed bender interface. For details on reconciling the data between the tube project and a different bender interface, see the "Reconciling Bender Data" section of the "Deleting a Bender" topic.

Editing the nominal tube data

  1. Click the XYZ/LRA/ALRA button [image] and select the appropriate view (XYZ, LRA, or ALRA) to edit the nominal data set as needed. For details on the data view slide-out, see the "Tube Data View" topic.

  2. You can click on any of the cells in the Data View slide-out panel to edit any of the nominal values. Once the nominal data has been updated and if the tube has already been measured, you can click the CLRA button [image] and click the Recalculate button [image] to recalculate the CLRA data. If the new CLRA data isn't acceptable, click the Reset button [image] on the CLRA Data slide-out panel to change the newly calculated CLRA data back to the original LRA values.

  3. Click the Send to Bender button [image] to send the updated tube definition data back to the bending machine.

Editing the currently opened project settings

Click the Project/Tube Properties button [image] to display and edit properties of the currently opened tube project. Modifications to settings such as Physical Properties, Tolerances, Inspection Options can be made through this panel. Any changes made only affect the currently opened tube project. For details on project properties settings, see the "Project Properties View" topic.

Applying a new set of Springback values to the project

A new set of springback values can be applied to the currently opened project through the Springback View slide-out panel. For details, see the "Springback View" topic.

When all changes have been made, click the Save/Export Menu button [image] to save or export any changes made to the project.

For details on saving and exporting a project, see the appropriate topic in the "Saving and Exporting Projects" chapter.


Configuring the Bender

Configuring a bender interface for your project is done from the Project Menu tabs.

  1. Click the Benders tab on the menu pane to display the Benders hub screen. Unless bender interfaces have already been configured, the Bender Listing area of the screen is empty.

  2. If bender interfaces have already been defined, select one from the Bender Listing area, then click Edit in the lower-right. The Edit Bender dialog appears (see "Editing a Bender" for details.) Otherwise, click New Bender to display the New Bender dialog and create a new bender configuration file. For details on creating a new bender, see "Creating a New Bender" topic.

  3. Edit the configuration settings for the specific bender then click Done to save the changes. Click Cancel to exit the dialog without saving the changes made.

    Note: For details on configuring a specific bending interface, see "Configuring a BLM Bender", "Configuring an Eaton Leonard VeLog Bender" or "Configuring an SV Network Bender"

The selected or new bender is now updated with the new configuration settings.

More:

Bender Screen Details

Creating a New Bender

Editing a Bender

Deleting a Bender

Recalling Tube Data from a Bending Machine


Bender Screen Details

Click the Benders tab on the main screen to display the Benders Hub view screen. If no benders have been defined, an empty screen is displayed as shown below.

TubeShaper Benders Hub view screen

The Benders Hub view screen has the same components as the Project Details screen except it is specific to bending machines.

The Benders Hub view screen has these sections:

  1. Main Menu and Title Bar - For details on the Main Menu and Title bar, see the "Main Menu and Title Bar" topic.

    Menu Tabs - For details on the menu tabs, see the "Project Menu Pane" topic.

    Bender Listing area - For details on the listing area, see the "Project Listing Area" topic.

    1. Keep in mind that this area of the Benders screen is comprised of a list of the currently saved benders.

      Locating a specific bender

      If there are more benders than can be viewed in the listing area, a vertical scroll bar becomes available to manually scroll through the benders.

      Another way to locate a particular bender is to use the Filter field.

      Enter the name or part of a bender's name in the Filter box. If a match is found, all benders containing the characters entered are displayed - all other benders are filtered out.

    Bender Details area - The Bender Details area displays information on the currently selected bender. Single-click any of the benders in the listing area to view its details.

    Bender Menu Bar - The Bender Menu bar provides the following functionality:

    1. New Bender - Displays the New Bender dialog to configure a new bending machine. See "Creating a New Bender" topic for details.

      Copy - When clicked, a copy of the currently selected bender is created.

      Delete - Displays the Delete Bender dialog box for deleting the currently selected bender.

      Open - Displays the Edit Bender dialog to edit the configuration of the currently selected bender. See "Editing a Bender" topic for details.

      Recall - Displays the User Input dialog to enter the Part Number of the tube file to be recalled from a specific bending machine.

      For details on recalling tube data from a bender, see the "Recalling Tube Data from a Bending Machine" topic.

      For details on recalling nominal data from a bender, see the "Recalling Nominal Data from the Bender" topic.

More:

Creating a New Bender

Editing a Bender

Deleting a Bender

Recalling Tube Data from a Bending Machine

Configuring the Bender


Creating a New Bender

To create a new bender:

  1. Click New Bender from the Bender Menu bar. The New Bender dialog box appears.

  2. Enter a unique name for the bender.

    3. Note: If a bender with the same name is entered, an error message is displayed stating that a file with that name already exists. If you click Done at this point, you are prompted to overwrite the existing file. Overwriting an existing file cannot be undone.

  3. Select the bender type from the Type list. The current options are:

    • BLM bender interface

    • Eaton Leonard VeLog bender interface

    • SV Network bender interface

  4. Review the properties and parameters described in the appropriate machine configuration topic. Click in the field to the right of each to edit its value if necessary. For details on the specific machine parameters, see the "Configuring a BLM Bender", "Configuring an Eaton Leonard VeLog Bender" or "Configuring an SV Network Bender" topic.

  5. The bender machine image can be updated if necessary. Click the image to display the Browse for Image File dialog.

  6. Navigate to the appropriate folder and select the new image file.

  7. Click Open to change the bender image. Click Cancel to close the dialog without changing the bender image.

  8. Click OK to save the new bender configuration. Click Cancel to close the dialog box.

More:

Configuring a BLM Bender

Configuring an Eaton Leonard VeLog Bender

Configuring an SV Network Bender

Bender Screen Details

Editing a Bender

Deleting a Bender

Recalling Tube Data from a Bending Machine

Configuring the Bender


Configuring a BLM Bender

TubeShaper :Home | Configuring the Bender | Creating a New Bender | Configuring a BLM Bender

Configuring the BLM Bender

To configure a new BLM bending machine interface:

  1. Click Benders from the Project Menu tabs.

  2. Click New Bender in the lower-left of the Benders screen to display the New Bender dialog box and then select the BLM bender type from the Type drop-down list.

  3. Enter a unique name for the bender. If the name is identical to an existing bender name, a warning message is displayed. If you click OK at this point, a prompt is displayed to overwrite the existing bender interface settings with the new bender definition.

  4. Click on the bender image to update it if necessary.

  5. Review the properties and parameters described in the General properties section below. Click in the field to the right of each to edit its value if necessary.

  6. Click OK to save the new bender interface. Click Cancel to exit the dialog box without saving the configuration.

General properties section

    Bender Type - Defaults to the bender type selected from the Type drop-down list.

    Parts Directory - The location TubeShaper uses to save tube part files.

      32-bit PC: "C:\Program Files\WAI\<version>\Benders"

      64-bit PC: "C:\Program Files (x86)\WAI\<version>\Benders"

      where <version> is the version of TubeShaper installed

    Exchange Directory - The directory TubeShaper uses to communicate with networked bending machines.

More:

Bender Screen Details

Creating a New Bender

Configuring an Eaton Leonard VeLog Bender

Configuring an SV Network Bender

Editing a Bender


Configuring an Eaton Leonard VeLog Bender

To configure a new Eaton Leonard VeLog bender interface:

  1. Click Benders from the Project Menu tabs.

  2. Click New Bender in the lower-left of the Benders screen to display the New Bender dialog box and select the Eaton Leonard VeLog bender type from the Type drop-down list.

  3. Enter a unique name for the bender. If the name is identical to an existing bender name, a warning message is displayed. If you click OK at this point, a prompt is displayed to overwrite the existing bender interface settings with the new bender definition.

  4. Click on the bender image to update it if necessary.

  5. Review the properties and parameters described in the General properties section below. Click in the field to the right of each to edit its value if necessary.

  6. Click OK to save the new bender interface. Click Cancel to exit the dialog box without saving the configuration.

General properties section

    Bender Type - Defaults to the bender type selected from the Type drop-down list.

    Bender Number - A unique numeric value to define the bender in the network. Review and edit the existing value as necessary. Use the up/down arrows or click in the field and manually change the current value.

    Parts Directory - Defines the location where SV Network bender configuration files are saved. The default paths are:

      32-bit PC: "C:\Program Files\WAI\<version>\Benders"

      64-bit PC: "C:\Program Files (x86)\WAI\<version>\Benders"

      where <version> is the version of TubeShaper installed

    Service Bender check box - When marked, TubeShaper monitors bender activity to determine when the machine may require servicing.

    COM Port - Defines the COM port associated with the bender. The default is COM1.

    Baud Rate - Defines the speed at which communication occurs between the COM port of the PC running the TubeShaper application and the bending machine connected to it. The available options are: 110, 300, 600, 1200, 2400, 3970, 4800, 9600, 14400, 19200, 28800, 38400, 56000 and 57600. The default is 9600.

    Parity - Defines the error detection method used when transmitting data. Available options are: None, Odd, Even, Mark and Space. The default is Even parity.

    Data Bits - Defines the number of data bits transmitted per character. The available options are: 4, 5, 6, 7 and 8. The default is 8 bits.

    Stop Bits - Defines the number of bits sent after each character has been transmitted. This informs the receiving end of the transmission when the end of each character is reached. The available options are: None, One, Two and OnePointFive. The default value is Two.

    Normal Mode - When marked, the transmission protocol sends a smaller set of machine parameters. If not marked (default), the extended mode is implemented to send more parameters.

    Use Springback - When marked, TubeShaper implements springback compensation. If not marked (default), the bending machine implements it.

More:

Bender Screen Details

Creating a New Bender

Configuring a BLM Bender

Configuring an SV Network Bender

Editing a Bender


Configuring an SV Network Bender

To configure a new SV Network bender interface:

  1. Click Benders from the Project Menu tabs.

  2. Click New Bender in the lower-left of the Benders screen to display the New Bender dialog box and select the SV Network bender type from the Type drop-down list.

  3. Enter a unique name for the bender. If the name is identical to an existing bender name, a warning message is displayed. If you click OK at this point, a prompt is displayed to overwrite the existing bender interface settings with the new bender definition.

  4. Click the bender image to update it if necessary. A dialog box appears that can be used to navigate to a new image to replace the current one.

  5. Review the properties and parameters described in the General properties section below. Click in the field to the right of each to edit its value if necessary.

  6. Click OK to save the new bender interface. Click Cancel to exit the dialog box without saving the configuration.

General properties section

    Bender Type - Defaults to the bender type selected from the Type list.

    Bender Number - A unique numeric value to define the bender in the network. Review and edit the existing value as necessary. Use the up/down arrows or click in the field and manually change the current value.

    Part Directory - Defines the location where tube part files are saved. The default paths are:

      32-bit PC: "C:\Program Files\WAI\<version>\Benders"

      64-bit PC: "C:\Program Files (x86)\WAI\<version>\Benders"

      where <version> is the version of TubeShaper installed

    Exchange Directory - Defines the path TubeShaper uses to communicate with SV Network benders.

    Time Out - Defines the time in seconds that TubeShaper times out when attempting to send or receive SV Network files. The default value is 25.

    Monitor Bender check box - When marked:

    • TubeShaper constantly monitors bender activity to determine when the bending machine requests or transmits files. Whenever the bender requests or attempts to transmit a tube file, TubeShaper responds accordingly.

    • If the current project is empty, recall requests from the bender are ignored.

    • The bender can recall the tube of the currently opened project. If the bender attempts to recall a different tube, TubeShaper ignores the request.

    • If the currently opened project has a tube feature defined, and the bender sends a tube file with the same part number, TubeShaper automatically accepts the file. If the bender sends a tube with a different part number, TubeShaper rejects it.

    • If there is no tube feature defined in the currently opened project, any tube file sent from the bender is automatically accepted.

    • If TubeShaper has no bender defined in the currently opened project, send and recall requests from the bender are ignored.

    Recall Default Tube check box - Mark this check box if any of your SV Network benders don't support tube part numbers when recalling tube data. For these types of benders, a "default" program is automatically recalled from the bender when this check box is marked.

More:

Bender Screen Details

Creating a New Bender

Configuring a BLM Bender

Configuring an Eaton Leonard VeLog Bender

Editing a Bender


Editing a Bender

To edit an existing bender:

  1. Click Benders from the Project Menu tab to display the Benders main screen.

  2. Double-click a bender interface from the Bender Listing area or single-click a bender then click the Open [image] button in the lower-right of the Bender screen. The Edit Bender dialog box appears.

  3. Edit the bender image, name, General properties as necessary. See "Configuring a BLM Bender", "Configuring an Eaton Leonard VeLog Bender", or "Configuring an SV Network Bender" for details on how to configure each bender interface.

More:

Bender Screen Details

Creating a New Bender

Deleting a Bender

Recalling Tube Data from a Bending Machine

Configuring the Bender


Deleting a Bender

To delete a bender interface:

  1. Select the bender to be deleted from the Benders Hub view.

  2. Click the Delete Bender button [image] to delete the selected bender interface.

  3. A prompt appears to confirm the deletion of the selected bender interface. Click OK to confirm the deletion of the selected bender. Click Cancel if you do not want to delete the selected bender.

Reconciling Bender Data

If a bender interface is already assigned to a tube project, the CLRA data between the bender and the tube project is linked. When a bender interface that is assigned to a tube project is deleted or renamed, this link is broken. If the tube project is opened, you must reconcile the data and associate it to a new bender, or delete the association altogether.

  1. Open a tube project after the bender interface associated with the project is deleted or renamed. The Reconcile Data dialog box appears.

  2. You can delete the association or remap the association to another bender interface. Delete is the default option when the dialog box first appears. If you want to just delete the association, click OK. If you want to remap the project to another bender interface of the same type, click Remap from the list.

  3. When Remap is selected, another list appears that contains all the bender interfaces of the same type.

  4. Select the bender interface you want to link to the tube project from the bender list, then click OK.

More:

Bender Screen Details

Creating a New Bender

Editing a Bender

Recalling Tube Data from a Bending Machine

Configuring the Bender


Recalling Tube Data from a Bending Machine

Tube data stored on a bending machine can be recalled into any TubeShaper project. The bending machine must be configured properly in order to communicate with the TubeShaper application. For details on configuring a bending machine, see the "Configuring the Bender" topic.

You must also know the part number associated with the tube file on the bending machine.

Note: Some SV Network benders don't support tube part numbers when tube data is recalled. For these benders, instead of a part number used to query a specific tube program, a "default" program is recalled. In order for this to work however, you must mark the Recall Default Tube check box when the bender is configured in TubeShaper. For details on how to configure an SV Network bending machine interface, see the topic "Configuring an SV Network Bender"

When you recall a tube from a bender, the tube's CLRA data and property information is associated with a bender when:

  • You recall the tube from the Benders Hub view screen.

  • You recall the tube from the project Workspace and the current bender is selected.

  • You recall the tube from the project Workspace after switching to another bender.

Note: For SV Network benders, when a part is recalled into TubeShaper from a bender:

  • If the recalled part already exists inside TubeShaper (for example, if the part is recalled from within the TubeShaper Workspace), the nominal data from the bender is not loaded into TubeShaper, only the CLRA data is loaded.

  • If the recalled part is not in TubeShaper, both the nominal and CLRA data from the bender are loaded.

Recalling tube data into an existing tube project

To recall tube data from a bending machine into an existing tube project:

  1. Double-click an existing project from the Project Listing area to open the tube project in its workspace.

  2. Click Available Benders [image] button to display the pop-up list of the configured bending machines.

  3. Select the correct bending machine from the list that has the tube definition you want recalled.

  4. Click the Recall from Bender [image] button. The following warning message appears.

  5. Click Yes to continue or No to exit. If you click Yes, the Recall From Bender dialog appears.

  6. In the Part Number box, enter the part number of the tube file to be recalled, then click OK.

    Note: Alternatively, click the Browse button [image] and use the Browse for bender files dialog box that appears to navigate to a bender file to recall bender data.

    The software attempts to locate and recall the tube data based on the part number entered or the selected bender file:

    When the tube data has been successfully recalled, the dialog displays a success message:

    If the tube data was not successfully recalled, the dialog displays an error message:

    If you receive an error, the most likely causes are:

    • The wrong bending machine was selected. Verify the selected bending machine is correct then try again.

    • Communication error between TubeShaper and the bending machine. Check that the communication between TubeShaper and the selected bending machine is functioning. You may need to involve the appropriate Engineer or IT to verify this. Also, review the communication settings to ensure they're correct for the selected bending machine. For details on how to configure bending machine interface properties, see the appropriate machine configuration topic in the "Creating a New Bender" chapter.

  7. Once you have successfully recalled the tube data from the bender, the project is now populated with the recalled tube data. Access the appropriate slide-out panel to edit the values as necessary. For details on the various slide-out panels, see the "Slide-out Panel Toolbar" chapter.

  8. When the tube data is successfully recalled and updated in your project, click the Save/Export Menu button [image] located in the lower-right of the project's Workspace screen. You are also prompted to save the project if you attempt to exit the project Workspace prior to saving the project.

Creating a New Tube by Reverse Engineering

Tube data is also recalled from a bending machine when you want to reverse engineer a tube. For details on reverse engineering a tube from recalled tube data, see the chapter "Creating a New Tube by Reverse Engineering".

More:

Bender Screen Details

Creating a New Bender

Editing a Bender

Deleting a Bender

Creating a New Tube by Reverse Engineering

Configuring the Bender


Measuring a Tube

Note: A ROMER Absolute Arm must be configured and connected before TubeShaper is able to perform measurements. For details on the standard three-button ROMER Arm functionality, see the "ROMER Arm Buttons" topic.

Note: When measuring expanded and reduced ends in manual mode, make sure you measure on both sides of the expansion / reduction sections as prompted.

TubeShaper offers the following methods of measuring a tube:

Measure a tube from the Tools dialog

If you want to verify the accuracy of your measuring system, measure an unknown tube length, diameter or bend radius, the Tools menu option is available.

  1. Click the Tools button [image] from the main menu bar.

  2. Select the Straight, Bend Radius or Tube Diameter tab to display the appropriate dialog box. For details on measuring using the Tools dialog box, see the "Tools" topic.

  3. Click the Measure/Stop Program button [image] to begin the measurement process. The graphic view displays the area to be measured in a gold color. The red areas are there to inform you not to get too close to the edges of the straight or outside the bend.

    Note: The graphic view displays the area to be measured in a gold color. The red areas are there to inform you not to get too close to the edges of the straight or outside the bend.

    Example measuring a bend in the Tools dialog box

  4. Follow the instructions along the bottom of the dialog box to measure the tube.

For details on using these tabs, see the appropriate topic in the "Tools" chapter.

Measure a tube from the TubeShaper main screen

You can measure a tube directly from the main TubeShaper Project View by clicking the Measure button in the Project Menu bar.

  1. Select a project from the Project Listing area

  2. Click the Measure button. The selected project is opened in the project's Workspace. Follow the instructions shown in the Action Bar to measure the tube.

    Example measuring Straight 1 (S1) in project Workspace

Measuring a tube from the project's Workspace

When a project is open in the project's Workspace, click the Measure button located in the Action Bar to measure the tube.

  1. Double-click a project from the Project Listing area to display the project in the project's Workspace.

  2. Click Measure located in the lower-left of the Action Bar. Follow the instructions displayed in the Action Bar to measure the tube.

Measuring a tube recalled from a bending machine

Note: Before you can measure a tube, a CNC tube bending machine must be configured and connected to TubeShaper.

You can also measure a tube that has been recalled from a bending machine.

  1. From the Project View screen, select the Benders tab from the Project Menu tabs.

  2. Select the bending machine that contains the tube project of interest from the Benders Listing area.

  3. Click the Recall from Bender button [image] from the Bender Action bar.

  4. The User Input dialog is displayed. Enter the Part Number of the project and click Done to load the project from the bending machine.

  5. The project's Workspace is displayed with the recalled tube project. Click Measure/Stop Program located in the lower-left of the Action Bar.

  6. Follow the instructions displayed in the Action Bar to measure the tube.

Once all measurements are completed, review the data.

  • If the measurement results are not good, click the Recalculation button [image] and determine if the recalculated data needs to be sent back to the bending machine. If so, click the Send to Bender [image] button to send the recalculated tube data back to the bending machine.

  • If the measurement results are acceptable, the bending process is also acceptable and nothing more needs to be done.

More

ROMER Arm Buttons

Applying an Alignment


ROMER Arm Buttons

Older ROMER Arm with standard three buttons

ROMER Arm with standard three buttons (the Right and Middle buttons shown)

The standard three buttons for a ROMER arm are the Left button, Right button and Middle button (typically red)

When measuring a tube using a Hard Probe:

  • Right button - Used to confirm the measurement of a completed straight or end plane.

  • Middle button - Used to take hits. See also Exceptions below.

  • Left button - Used to delete the last point taken. See also Exceptions below.

When measuring a tube with a Tube Probe in Auto Single Mode:

  • Right button - Because measurement is automatically confirmed after each straight, this button has no function.

  • Middle button - See Exceptions below.

  • Left button - Used to delete the last point taken. See also Exceptions below.

When measuring a tube with a Tube Probe in Manual Mode:

  • Right button - Used to confirm the measurement of a completed straight or end plane.

  • Middle button - See Exceptions below.

  • Left button - Used to delete the last point taken. See also Exceptions below.

When measuring a feature with a Hard Probe:

  • Right button - Used to confirm the measurement of a completed straight or end plane.

  • Middle button - Used to take hits. See also Exceptions below.

  • Left button - Used to delete the last point taken. See also Exceptions below.

Exceptions

  • Middle button - When a long press has been made on the middle button, these options can be performed:

    • If less than three straights have been measured, the Choose Measurement Operation dialog box appears with just the Change Probe option enabled. Simply follow the instructions on the dialog box to swap probes.

    • If you are at the measurement prompt to measure the A-End or B-End, the Choose Measurement Operation dialog box appears. The Change Probe and Skip End options are enabled. Follow the instructions to perform the appropriate operation.

    • If three or more straights have been measured, the Choose Measurement Operation dialog box appears with the Move Tube and the Change Probe options enabled. If the current measurement status is to measure the A-End or B-End of the tube, the Skip End option is also enabled. Follow the instructions to perform the appropriate operation. For details on the Move Tube function, see the "Move Tube" topic.

    • Note: You must have measured at least three straights for the Move Tube function to work.

  • Left button

  • Auto Single mode

    • If you are on the second sweep, a short press deletes the collected data and takes you back to the first sweep of the same straight.

    • If you are on the first sweep (no data collected), a short press brings you back to the previous straight (i.e. re-measure the previous straight).

    • A long press takes you back to the previous straight, regardless if you are on the first or the second sweep.

    Manual mode

    • If the collected number of hits is greater than zero, a short press deletes the last hit.

    • If the collected number of hits is zero, a short press takes you back to the previous straight.

    • A long press takes you back to the previous straight, no matter how many hits have been collected.

Dialog Interaction Using the ROMER Arm Buttons

To interact with dialogs in a measurement routine:

  1. Dialogs that have only an OK button on them:

    • A short press on the Right arm button selects the OK button on the dialog.

    Dialogs that have Yes and No buttons on them:

    • A short press on the Right arm button selects the Yes button on the dialog.

    • A short press on the Left arm button selects the No button on the dialog.

    Dialogs that have Yes, No and Cancel buttons on them:

    • A short press on the Right arm button selects the Yes button on the dialog.

    • A short press on the Left arm button selects the Cancel button on the dialog.

More:

Move Tube

Measuring a Tube


Move Tube

The Move Tube option is used when the tube length is greater than the length of the measuring arm.

To use the this option:

  1. Measure at least three straights on the tube.

  2. Perform a long press on the middle button of the ROMER arm to display the Choose Measurement Operation dialog box with the Move Tube option enabled. For details on the standard three button ROMER arm, see the "ROMER Arm Buttons" topic.

    You can also click the Change Probe option to change the probe from this dialog. If the current measurement status is to measure the A-End or B-End of the tube, the Skip End option is also enabled. For details on these options, see the "Exceptions" section of the "ROMER Arm Buttons" topic.

    Note: You can only perform one of the actions at a time. If you need to perform multiple actions, you must do a long press on the middle button again to re-display the dialog box.

  3. Follow the instructions on the dialog box.

  4. Click OK when done.

    Note: You must have measured at least three straights for the Move Tube function to work.

More:

ROMER Arm Buttons

Measuring a Tube

Applying an Alignment


Creating Features

Features are created three ways:

  • Feature Learning method - Click the feature you want to create from the Feature Bar, then begin taking hits where you want that feature to be located. For details on Feature Learning, see the "Feature Learning" topic.

  • Feature Key-in method - Click the feature you want to create from the Feature Bar, then manually key-in the feature's values.

  • Feature Click on CAD method - Click the feature you want to create from the Feature Bar, then click on the CAD where you want the feature to be located.

TubeShaper has the ability to create these features:

  • Tube (via key-in or import)

  • Point

  • Line

  • Plane

  • Circle

  • Cylinder

  • Round Slot

  • Sphere

You can create and measure features as soon as you open an existing tube project or create a new project. The project is then displayed in the Workspace. Click the Program View button [image] located on the right side of the Workspace to display the Program View slide-out panel. Click the Features button [image] to display the Feature Bar. The toolbar also has options to create a new project as described below.

To create a feature in TubeShaper:

  1. Open an existing project by double-clicking a project from the Project Listing area. You can also single-click a project and click Edit from the Project Menu bar.

  2. Click the Program View button [image] to display the Program View slideout panel.

  3. Click the Features button [image] to display the Feature Bar.

    Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

    Note: A new tube feature can be created by selecting the Add Tube button [image] or the Add Tube with Import button [image] from the Feature Bar. Only one tube feature can be added per project.

    For details on creating a new tube feature, see the "Creating a New Project" chapter.

    For details on creating a new tube feature with import, see the "Creating a New Project with Import" topic.

  4. If a tube feature is to be added, the alignment type needs to be specified. This is done in the tube's alignment property. For details on alignments, see the "Applying an Alignment" topic.

  5. Before Points, Lines, Circles or Round Slots can be created, you must create a plane feature (Plane, Cylinder of Sphere) for projection purposes.

    Click the feature you want to create from the Feature Bar. The nominals and tolerance toggle fields are initially available and, depending on the feature, can be edited. The measured toggle field is available only after the feature has been measured.

    You can key-in the values, click on the CAD to position the new feature or learn the feature with the Feature Learning functionality. For details on how to learn a feature, see the "Feature Learning" topic.

    Make sure the plane's vectors are defined correctly for the feature's intended projection.

    Note: For non-tube features, you can click on the CAD to update your feature's nominals fields.

  6. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  7. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Note: If a tube CAD model has been imported into your project, its nominals are automatically extracted.

  8. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

    Note: Feature tolerances are Off by default for any feature that does not have an alignment. Feature tolerances are On by default otherwise.

  9. Click the Add To Report button [image] to add this new feature into your report. The button is disabled when it is displayed in gray.

  10. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  11. Once the nominals of the feature have been entered, click the Measure Feature button [image] and follow the instructions along the bottom of the screen. To delete the selected feature, click the Delete button [image].

If you are learning a feature, the feature's current nominal and measurement values are updated based on the new measurement results.

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Feature Learning

You can perform Feature Learning as soon as you have clicked a feature type from the Feature Bar. Tube features are learned by reverse engineering the tube. For details on reverse engineering a tube feature, see the "Creating a New Tube by Reverse Engineering" topic.

To perform Feature Learning:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Features toolbar.

  3. Select a feature from the Feature Bar.

    4. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  4. Take the required number of hits at the desired location on your tube for the feature. A prompt is displayed at the bottom of the screen to inform you of the minimum number of required hits that remain. More hits can be taken but a minimum number is required.

  5. When done, click the appropriate button on your ROMER Arm to complete the learn process for the selected feature. For details on the ROMER Arm buttons, see the "ROMER Arm Buttons" topic.

    6. Note that the selected feature is displayed in red in the graphic for ease of identification.

  6. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

    Each new feature is added immediately after the currently selected item in the program list.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the feature.

  9. Edit the nominal values if necessary.

  10. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  11. Click the Enable/Disable CAD Selection button [image] if you want to change the nominals by selecting a location for the new feature on the CAD model. The button is disabled when it is displayed in gray.

  12. If you need to re-measure the new feature, click the Measure Feature button [image] and follow the instructions along the bottom of the screen. To delete the selected feature, click the Delete button [image].

More:

Creating a New Project

Creating a New Project with Import

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Tube Feature

A tube feature can be created from the Program View slide-out panel from the new project Workspace. You cannot create a tube feature however, if one is already defined.

  1. Click the New Project button located in the lower-left of the TubeShaper Project hub screen to create a project without a tube feature. The new project Workspace appears where you can reverse engineer a tube feature. For details on reverse engineering a tube, see the topic "Creating a New Tube by Reverse Engineering".

  2. Click the Program View button [image] to display the Program View slide-out panel.

  3. If the Feature Bar isn't displayed, click the Features button [image].

    4. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  4. Click the Add Tube button [image] to display the Create Tube dialog. For details on reverse engineering a tube feature, see the "Creating a New Tube by Reverse Engineering" topic.

    You can also create a tube with a CAD import. To do this, click the Add Tube with Import button [image] to display the Browse for File dialog box. For details on creating a new project with import, see the "Creating a New Project with Import" topic.

    Note: If a tube CAD model has been imported into your project, its nominals are automatically extracted.

  5. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

To create a new tube feature when one already exists, you must delete the existing tube feature from the project. You can then use one of the two ways described above to create a new tube feature.

To delete an existing tube feature:

  1. Click the tube feature located in the program listing of the Program View slide-out panel.

  2. Click the Delete button [image] to delete the tube feature. The tube feature is deleted from the program. All other features remain in the program.

  3. Click either of the buttons described above to create a new tube feature.

More:

Creating a New Project

Creating a New Project with Import

Feature Learning

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Point Feature

To create a point feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Features toolbar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Click the Point Feature button [image] from the Feature Bar. The nominals and tolerance fields are initially available and can be edited. The measured toggle field is available only after the feature has been measured.

  4. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  5. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  6. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  7. From the Alignment list, select the type of alignment for the feature.

  8. Manually enter the point's X, Y, Z location and I, J, K vector values.

  9. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  10. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  11. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new point feature. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Line Feature

Note: Line, Circle and Round Slot features are always projected into their reference plane and are consequently always 2D. When creating a constructed Line, Circle, or Round Slot, they are never projected into a reference plane since they don't have one and are consequently always 3D.

To create a line feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Feature Bar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Before a line feature can be created, you must create a plane feature for projection purposes. For details on creating a plane feature, see the "Creating a Plane Feature" topic. Make sure the plane's vectors are set correctly for the line's intended projection.

    Click the Line Feature button [image] from the Feature Bar. The nominals and tolerance toggle fields are initially available and can be edited. The measured toggle field is available after the feature has been measured.

  4. Select the appropriate plane to project your line feature onto from the Project list. The feature is immediately projected to the selected plane.

  5. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the feature.

  9. Manually enter the Start Point values of the line (X, Y, Z), its vector (I, J, K), its Length and its edge vector (I2, J2, K2) values.

  10. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  11. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  12. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new line feature. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Plane Feature

Plane features are required for projection purposes when creating certain feature types.

To create a plane feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Feature Bar toolbar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Click the Plane Feature button [image] from the Feature Bar toolbar. The nominals and tolerance toggle fields are initially available and can be edited. The measured toggle field is available after the feature has been measured.

  4. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  5. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Make sure the vectors of the plane are defined correctly for the intended projection of any dependent item.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  6. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  7. From the Alignment list, select the type of alignment for the feature.

  8. Manually enter the plane's X, Y, Z location I, J, K vector values.

  9. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  10. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  11. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new line feature. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Circle Feature

Note: Line, Circle and Round Slot features are always projected into their reference plane and are consequently always 2D. When creating a constructed Line, Circle, or Round Slot, they are never projected into a reference plane since they don't have one and are consequently always 3D.

To create a circle feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Feature Bar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Before a circle feature can be created, you must create a plane feature for projection purposes. For details on creating a plane feature, see the "Creating a Plane Feature" topic. Make sure the plane's vectors are set correctly for the circle's intended projection.

  4. Click the Circle Feature button [image] from the Feature Bar. The nominals and tolerance toggle fields are initially available and can be edited. The measured toggle field is available after the feature has been measured.

  5. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. From the Alignment list, select the type of alignment for the feature.

  7. Select the appropriate plane to project your circle feature onto from the Project drop-down list. The feature is immediately projected to the selected plane.

  8. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  9. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  10. Manually enter the circle's X, Y, Z location I, J, K vector and Diameter values, then select the In/Out option from the list.

  11. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  12. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  13. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new line feature. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Cylinder Feature

Note: When measuring or learning a cylinder feature, be aware that the selection order between the first and last points determines the direction of the cylinder (IJK) vector. The direction of the cylinder (I,J,K) is from the first hit taken to the last hit taken.

To create a cylinder feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Feature Bar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Click the Cylinder Feature button [image] from the Feature Bar. The nominals and tolerance toggle fields are initially available and can be edited. The measured toggle field is available after the feature has been measured.

  4. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  5. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Make sure the cylinder's vectors are defined correctly for the intended projection of any dependent item.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  6. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  7. From the Alignment list, select the type of alignment for the feature.

  8. Manually enter the cylinder's X, Y, Z location I, J, K vector, Diameter and Length values, then select the In/Out option from the list.

  9. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  10. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  11. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new cylinder feature. Note that the order of the hits that are taken from the first to last points determine the I,J,K vector. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Round Slot Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Round Slot Feature

Note: Line, Circle and Round Slot features are always projected into their reference plane and are consequently always 2D. When creating a constructed Line, Circle, or Round Slot, they are never projected into a reference plane since they don't have one and are consequently always 3D.

Note: When measuring or learning a round slot feature, be aware that the order of the hits taken from the first to the last points determine the secondary (I2, J2, K2) vector. The direction of the round slot (I2,J2,K2) is from the first hit taken to the last hit taken.

To create a round slot feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Feature Bar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Before a round slot feature can be created, you must create a plane feature for projection purposes. For details on creating a plane feature, see the "Creating a Plane Feature" topic. Make sure the plane's vectors are set correctly for the round slot's intended projection.

  4. Click the Round Slot Feature button [image] from the Feature Bar. The nominals and tolerance toggle fields are initially available. The measured toggle field is available after the feature has been measured.

  5. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Select the appropriate plane to project your round slot feature onto from the Project drop-down list. The feature is immediately projected to the selected plane.

  7. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  8. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  9. From the Alignment list, select the type of alignment for the feature.

  10. Manually enter the round slot's X, Y, Z location, I2, J2, K2, edge vector, Width and Length values, then select the In/Out option from the list.

  11. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  12. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  13. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new round slot feature. Note that the order of the hits that are taken from the first to last points determine the I2, J2, K2 vector. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Sphere Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating a Sphere Feature

To create a sphere feature:

  1. With a project open in the Workspace, click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Features button [image] to display the Feature Bar.

    3. Not all features are available at all times. Only the Point, Plane, Cylinder and Sphere features are enabled if a plane feature has not been created. If the tube project is new and a tube feature has not been created yet, the Add Tube and Add Tube with Import options are also enabled.

  3. Click the Sphere Feature button [image] from the Feature Bar. The nominals and tolerance toggle fields are initially available. The measured toggle field is available after the feature has been measured.

  4. When a new feature is added to your measurement routine, the name of the feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new feature of the same type, this number is incremented by one. This is true for all feature types except for the tube features since only one is allowed in your measurement routine.

    A feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a feature, click the feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  5. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

    Make sure the cylinder's vectors are defined correctly for the intended projection of any dependent item.

    Note: You can also learn the new feature by immediately taking the necessary hits on the tube. For details on feature learning, see the "Feature Learning" topic.

    Note that the selected feature is displayed in red in the graphic for ease of identification.

    Each new feature is added immediately after the currently selected item in the program list.

  6. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  7. From the Alignment list, select the type of alignment for the feature.

  8. Manually enter the sphere's X, Y, Z location and Diameter values, then select the In/Out option from the list.

  9. Click the Add To Report button [image] to add this new feature into your report. The button is disabled when it is displayed in gray.

  10. Click the Enable/Disable CAD Selection button [image] if you want to allow nominals to be selected on the CAD model. The button is disabled when it is displayed in gray.

  11. When ready, click the Measure Feature button [image] and follow the instructions along the bottom of the screen to measure your new cylinder feature. To delete the selected feature, click the Delete button [image].

More:

Feature Learning

Creating a Tube Feature

Creating a Point Feature

Creating a Line Feature

Creating a Plane Feature

Creating a Circle Feature

Creating a Cylinder Feature

Creating a Round Slot Feature

Adding a Probe Prompt to a Measurement Routine

Adding Comments to a Measurement Routine


Creating Alignments

TubeShaper provides great flexibility with alignments.

Note: Feature tolerances are Off by default for any feature that does not have an alignment. Feature tolerances are On by default otherwise.

The software provides four pre-defined tube-based alignment types:

  • Tangent Point (TP) Best Fit Alignment

  • Tangent Point (TP) Best Fit Alignment With Bias Factors

  • Hard Point Alignment

  • Point-to-Point Best Fit Alignment

The pre-defined tube-based alignments only use points on the tube.

TubeShaper also provides other feature-based alignments that are available from the Project View slide-out panel. With these alignment types, you select the features required to perform various prismatic alignments. For example, if you are interested in certain points on a tube, the point features can be selected from the menu.

To perform one of these alignments:

  1. Open a project with nominal data and then measure the tube.

  2. Click the Program View button [image] to display the Project View slide-out panel.

  3. Click the Alignments button [image] to display these alignment options:

    • Plane-Line-Point (PLP) alignment

    • Plane-Line-Circle (PLC) alignment

    • Plane-Line-Line (PLL) alignment

    • Plane-Circle-Circle (PCC) alignment

    • Plane-Plane-Plane (PPP) alignment

    • Best Fit alignment

  4. Click the alignment you want to perform and follow the instructions.

These are most often used with prismatic features (Point, Plane, Cylinder and Sphere). For more details on these alignments, see the "Creating Prismatic Alignments" topic.

More:

Creating Tube Based Alignments

Creating Prismatic Alignments


Creating Tube Based Alignments

An alignment can be applied to a tube before or after it's been measured. When applied, you can quickly determine if the tube has been aligned correctly to the CAD and then immediately inspect the tube.

TubeShaper provides the following tube-based alignment options (for details on creating feature based alignments, see the “Creating Other Feature Based Alignments” topic):

  • Tangent Point (TP) Best Fit - Most commonly used alignment for tubes. For details on Tangent Point Best Fit alignments and how to apply them to your tube, see the "Tangent Point (TP) Best Fit Alignment" topic.

  • Tangent Point (TP) Best Fit With Bias Factors - This alignment uses all of the tube tangent points (except the A-End and B-End) to align the measured tube data to the nominal. This is done with a "Best Fit" calculation that factors in the keyed-in bias values. If a bias value is increased for a particular straight, the error on that straight weighs more during the optimization process. For details, see the "Tangent Point (TP) Best Fit Alignment With Bias Factors" topic.

  • Hard Point - Hard Point alignment is important for aligning the measured tube to the nominal using specific tube-based points (Tangent Points, Middle Points and so on). For details on Hard Point alignments and how to apply them to your tube, see the "Hard Point Alignment" topic.

  • Point-to-Point Best Fit Alignment -

Both alignment types can be found in the Program View, under the "Tube" node.

More:

Tangent Point (TP) Best Fit Alignment

Tangent Point (TP) Best Fit Alignment With Bias Factors

Hard Point Alignment

Point-to-Point Best Fit Alignment


Tangent Point (TP) Best Fit Alignment

The Tangent Point (TP) Best Fit alignment is the most common type of alignment used for tubes. It is very easy to implement and is automatically applied to your project by default.

This alignment uses all of the tube tangent points (except the A-End and B-End) to align the measured tube data to the nominal. This is done with a "Best Fit" calculation.

After measuring a tube with nominal data, the Tangent Point (TP) Best Fit alignment is applied.

To apply this type of alignment:

  1. Measure a tube that has nominal data.

  2. From the project Workspace, select the Program View button [image] found on the Slide-out Panel toolbar. The Program View slide-out panel appears.

  3. From the Alignment drop-down list, select the TP Best Fit option. Once selected, the alignment is automatically applied and inserted into the feature list as a transformation.

    When the tube is measured, a Tangent Point Best Fit alignment is applied to the measured data.

More:

Creating Tube Based Alignments

Tangent Point (TP) Best Fit Alignment With Bias Factors

Hard Point Alignment

Point-to-Point Best Fit Alignment


Tangent Point (TP) Best Fit Alignment With Bias Factors

Bias factors are weight factors imposed on a straight. For the standard TP Best Fit alignment option, the software treats every straight the same with a weight of 1 which is acceptable in most cases.

If it's required to place more emphasis on certain straights, the Tangent Point (TP) Best Fit Alignment With Bias Factors option is available.

This alignment uses all of the tube tangent points (except the A-End and B-End) to align the measured tube data to the nominal. This is done with a "Best Fit" calculation that factors in the keyed-in bias values. If a bias value is increased for a particular straight, the error on that straight weighs more during the optimization process.

To perform this type of alignment:

  1. After measuring a tube with nominal data, select the TP Best Fit With Bias Factors alignment option.

  2. From the project Workspace, select the Program View button [image] found on the Slide-out Panel toolbar. The Program View slide-out panel appears.

  3. From the Alignment drop-down list, select the TP Best Fit With Bias Factors option. Once selected, the alignment is automatically applied and inserted into the feature list as a transformation.

  4. Update the individual bias factor fields if necessary. You can set default values for the bias factors in the Project/Tube Defaults of the Applications Settings dialog box. For details on the Application Settings dialog box, see the "Application Settings" chapter.

    When the tube is measured, a Tangent Point Best Fit alignment with the updated bias factor values is applied to the measured data.

More:

Creating Tube Based Alignments

Tangent Point (TP) Best Fit Alignment

Hard Point Alignment

Point-to-Point Best Fit Alignment


Hard Point Alignment

The Hard Point alignment is often used when a specific point on a tube needs to be aligned after a measurement (for example, the A-End or B-End of the tube.) It uses four points and is based on the Plane-Line-Point alignment calculation where:

  • The first three points define an alignment plane.

  • The first two points define an alignment line.

  • The fourth point is the alignment point. This point is aligned perfectly, with no error.

To perform a Hard Point alignment:

  1. Measure the tube that has nominal data in it.

  2. From the project Workspace, select the Program View button [image] found on the Slide-out Panel toolbar. The Program View slide-out panel appears.

  3. Select Hard Point from the Alignment drop-down list. The hard point grid appears. TubeShaper determines default point selections from the provided nominals. The example shown above is based on a tube with three straights. The default selections are defined as follows:

    • The first point is the A-end - as shown in the above example: the first Tangent Point (TP1) on the first Straight (Straight 1).

    • The second point is the B-end - as shown in the above example: the last Tangent Point (TP2) on the last Straight (Straight 3).

    • The third point is the midpoint of one of the middle straights - as shown in the above example: the MidPoint of Straight 1.

    • The final point repeats the first point and is the A-end.

    This creates an alignment error of 0 (zero) at the A-end. If you want the alignment error to be 0 (zero) at the B-end, select straight #n (the last straight, n=3 in this example) and TP2 for the final point.

    The first two points define the line, first 3 points define the plane, the last point defines the origin point for the alignment.

    If the default selections need to be changed:

    1. Click the Straight drop-down list that needs to be changed and select the correct straight from the list.

    2. Click the corresponding point type from the Type drop-down list as needed.

    3. Repeat for any other default straights.

Theoretically, any four points on the tube may be chosen. Typically however, the following rules are followed for an alignment error of 0 (zero) at the A-end:

  • Point 1 is Tangent Point 1 on the first straight (S1-TP1 - the A-end).

  • Point 2 is Tangent Point 2 on the last straight (Sn-TP2 where "n" is the last straight - the B-end).

  • Point 3 is the mid-point on a middle straight.

  • Point 4, which is the anchor point, is either the same as Point 1 or Point 2.

Once the hard points have been defined, the alignment automatically occurs and is immediately applied to the tube the next time it is measured.

You can also switch between the Tangent Point Best-Fit and Hard-Point Alignment by simply selecting the alignment under the "Tube" node in the Program View slide-out panel. In this way you can see how the measurement results change, by looking at the Tangent Point or Intersection Point errors in the relative data grids.

More:

Creating Tube Based Alignments

Tangent Point (TP) Best Fit Alignment

Tangent Point (TP) Best Fit Alignment With Bias Factors

Point-to-Point Best Fit Alignment


Point-to-Point Best Fit Alignment

Point-to-Point Best Fit alignment is only used when you want to compare the direct distance of tangent points between the nominal and measured tube. It is considered a Special Case alignment type.

The Point-to-Point Best Fit alignment option uses all the tangent points of the tube except TP1 of the first straight and TP2 of the last straight. Since it requires a minimum number of points, it is NOT available on tubes with only two straights.

To perform a Point-to-Point Best Fit alignment:

  1. Measure a tube with nominal data.

    Note: The tube must have at least three straights in order to perform this type of alignment.

  2. From the project Workspace, select the Program View button [image] found on the Slide-out Panel toolbar. The Program View slide-out panel appears.

  3. Select the Point-to-Point Best Fit alignment option. Once selected, the alignment is automatically applied and inserted into the feature list as a transformation.

    When the tube is measured again, a Point-to-Point Best Fit alignment is applied to the measured data.

More:

Creating Tube Based Alignments

Tangent Point (TP) Best Fit Alignment

Tangent Point (TP) Best Fit Alignment With Bias Factors

Hard Point Alignment


Creating Prismatic Alignments

Once your features have been measured, a coordinate system (or alignment) can be created. TubeShaper provides you with a variety of tools for creating and managing coordinate systems. To access the tools that allow you to work with feature-based alignments, click the Alignments button [image] from the Program View slide-out panel.

The major topics discussed in this chapter describe how to use the tools to create and manage feature-based alignments in your measurement routine. These topics include:

  • Creating a Plane-Line-Point (PLP) Alignment

  • Creating a Plane-Line-Circle (PLC) Alignment

  • Creating a Plane-Line-Line (PLL) Alignment

  • Creating a Plane-Circle-Circle (PCC) Alignment

  • Creating a Plane-Plane-Plane (PPP) Alignment

  • Creating a Best Fit Alignment

More:

Creating Prismatic Alignments: Overview

Creating a Plane-Line-Point (PLP) Alignment

Creating a Plane-Line-Circle (PLC) Alignment

Creating a Plane-Line-Line (PLL) Alignment

Creating a Plane-Circle-Circle (PCC) Alignment

Creating a Plane-Plane-Plane (PPP) Alignment

Creating a Best Fit Alignment


Creating Prismatic Alignments: Overview

Feature Creation

When features are first created, and there is no prismatic alignment, the "None" option is set by default. This means the new feature has no alignment associated with it.

Point feature created with "None" Alignment option selected by default when no prismatic alignment is available

Once a prismatic alignment is created:

  • All features are put into that alignment.

  • The “None” selection is removed as an alignment choice.

  • If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  • Plane feature showing the PLP alignment option selected

When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

An alignment can be renamed at any point to better manage and identify them in your measurement routine.

For example, to change the name of an alignment, click in the alignment's label and enter a new name:

Click anywhere outside the label to complete the name change.

Feature Alignment

Each feature in the program view has an associated alignment that is specified in the Alignment combo box. When a Tube feature is part of the measurement routine, an additional "Tube" option appears. When you select this option, the feature uses whatever alignment is associated with the tube.

Point feature showing the Tube alignment option

Feature Execution

When measuring, feature execution starts at the top of the measurement routine (the Start node). The measurement routine is executed in a linear path down the measurement list.

TubeShaper supports out of order execution. This means that dependent features and alignments don’t have to be measured in a linear (top to bottom) order. Features for an alignment can come after the alignment itself. However, execution does run smoother (features are updated and drawn correctly during execution) if the program is in a linear order.

Also, it is better not to have features that are to be reported used as inputs to an alignment. Otherwise some of the data will be exactly as it is used to create the alignment. The best practice is to have some features that are used to create an alignment and then the other features that are to be reported be put into that alignment. For example, a plane that is used as input to an alignment will have a Z value of zero, as that is where the alignment was created.

More:

Creating a Plane-Line-Point (PLP) Alignment

Creating a Plane-Line-Circle (PLC) Alignment

Creating a Plane-Line-Line (PLL) Alignment

Creating a Plane-Circle-Circle (PCC) Alignment

Creating a Plane-Plane-Plane (PPP) Alignment

Creating a Best Fit Alignment

Creating Prismatic Alignments


Creating a Plane-Line-Point (PLP) Alignment

The information presented here describes how to create a Plane-Line-Point (PLP) alignment.

Hint: Click the Alignments button [image] on the Program View slide-out panel to access the Add PLP Alignment button [image].

Plane-Line-Point alignment is calculated by:

  1. Leveling to the Plane, and then use its normal vector as the direction of the Z axis.

  2. Projecting the Line to the Plane and then rotate to it to establish the X axis.

  3. Projecting the Point to the Line to establish an origin.

More:

Level, Rotate, and Translate to the PLP Features

Creating Prismatic Alignments


Level, Rotate, and Translate to the PLP Features

Use the PLP Alignment dialog box to level, rotate, and translate to the selected features.

To create a PLP alignment:

  1. Click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Alignments button to access the Add PLP Alignment button.

  3. Click in your measurement routine where you want to insert the alignment.

  4. Click the Add PLP Alignment button [image] to display the PLP Alignment dialog box. Notice that the Feature Selector list initially shows the possible Plane features available in your measurement routine that can be used to level the tube.

    PLP Alignment dialog box

  5. When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

    An alignment can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of an alignment, click in the alignment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. From the Feature Selector list, click the Plane feature you want to use as the level component for the alignment. Click the Tube drop-down button to display tube properties you can select and use for the alignment. Use the vertical scroll bar if necessary.

  7. Once selected, click the Next button [image] to define the Line feature for rotation.

  8. The Feature list now displays the possible Line features in your measurement routine you can select from. Click the Line feature you want to use as the rotation component for the alignment. Once selected, click the Next button to define the Point feature for translation.

  9. From the Feature list, click the Point feature you want to use as the translation component for the alignment.

  10. Once the Plane, Line, and Point features have been selected for the alignment, click the Next button.

    TubeShaper automatically levels, rotates and translates to the new alignment. The new alignment is now part of your measurement routine list. The Line is projected to the Plane, and the Point is projected to the Line to determine the origin.

    If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  11. Click the Edit button [image] to make any changes to the alignment properties. To delete the alignment, click the Delete button [image].

More:

Creating a Plane-Line-Point (PLP) Alignment


Creating a Plane-Line-Circle (PLC) Alignment

The information presented here describes how to create a Plane-Line-Circle (PLC) alignment.

Hint: Click the Alignments button [image] on the Program View slide-out panel to access the Add PLC Alignment button [image].

Plane Line Circle alignment is calculated by:

  1. Leveling to the Plane feature, and then use its normal vector as the direction of the Z axis

  2. Projecting the Line to the Plane, and then rotate to it to establish the X axis.

  3. The Circle center defines the origin.

More:

Level, Rotate, and Translate to the PLC Features

Creating Prismatic Alignments


Level, Rotate, and Translate to the PLC Features

Use the PLC Alignment dialog box to level, rotate, and translate to the selected features.

To create a PLC alignment:

  1. Click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Alignments button to access the Add PLC Alignment button.

  3. Click in your measurement routine where you want to insert the alignment.

  4. Click the Add PLC Alignment button [image] to display the PLC Alignment dialog box. Notice that the Feature Selector list initially shows the possible Plane features available in your measurement routine that can be used to level the tube.

    PLC Alignment dialog box

  5. When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

    An alignment can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of an alignment, click in the alignment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. From the Feature Selector list, click the Plane feature you want to use as the level component for the alignment. Click the Tube drop-down button to display tube properties you can select and use for the alignment. Use the vertical scroll bar if necessary.

  7. Once selected, click the Next button [image] to define the Line feature for rotation.

  8. The Feature list now displays the possible line features in your measurement routine you can select from. Click the line feature you want to use as the rotation component for the alignment. Once selected, click the Next button to define the Circle feature for translation.

  9. From the Feature list, click the Circle feature you want to use as the translation component for the alignment.

  10. Once the Plane, Line, and Circle features have been selected for the alignment, click the Next button.

    TubeShaper automatically levels, rotates and translates to the new alignment. The new alignment is now part of your measurement routine list.

    If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  11. Click the Edit button [image] to make any changes to the alignment properties. To delete the alignment, click the Delete button [image].

More:

Creating a Plane-Line-Circle (PLC) Alignment


Creating a Plane-Line-Line (PLL) Alignment

The information presented here describes how to create a Plane-Line-Line (PLL) alignment.

Hint: Click the Alignments button [image] on the Program View slide-out panel to access the Add PLL Alignment button [image].

The Plane-Line-Line alignment is calculated by:

  1. Leveling to the Plane and using its normal vector as the direction of the Z axis.

  2. Projecting the first Line to the Plane, and then rotate to it to establish the X axis.

  3. The second Line is intersected with the first to obtain a Point that is used as the origin.

More:

Level, Rotate, and Translate to the PLL Features

Creating Prismatic Alignments


Level, Rotate, and Translate to the PLL Features

Use the PLL Alignment dialog box to level, rotate, and translate to the selected features.

To create a PLL alignment:

  1. Click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Alignments button to access the Add PLL Alignment button.

  3. Click in your measurement routine where you want to insert the alignment.

  4. Click the Add PLL Alignment button [image] to display the PLL Alignment dialog box. Notice that the Feature Selector list initially shows the possible Plane features available in your measurement routine that can be used to level the tube.

    PLL Alignment dialog box

  5. When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

    An alignment can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of an alignment, click in the alignment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. From the Feature Selector list, click the Plane feature you want to use as the level component for the alignment. Click the Tube drop-down button to display tube properties you can select and use for the alignment. Use the vertical scroll bar if necessary.

  7. Once selected, click the Next button [image] to define the Line feature for rotation.

  8. The Feature list now displays the possible Line features in your measurement routine you can select from. Click the Line feature you want to use as the rotation component for the alignment. Once selected, click the Next button to define the Line feature for translation.

  9. From the Feature list, click the Line feature you want to use as the translation component for the alignment.

  10. Once the Plane and two Line features have been selected for the alignment, click the Next button.

    TubeShaper automatically levels, rotates and translates to the new alignment. The new alignment is now part of your measurement routine list. The rotation is done to the X-axis and the origin is defined as the intersection of the two lines.

    If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  11. Click the Edit button [image] to make any changes to the alignment properties. To delete the alignment, click the Delete button [image].

More:

Creating a Plane-Line-Line (PLL) Alignment


Creating a Plane-Circle-Circle (PCC) Alignment

The information presented here describes how to create a Plane-Circle-Circle (PCC) alignment.

Hint: Click the Alignments button [image] on the Program View slide-out panel to access the Add PCC Alignment button [image].

The Plane-Circle-Circle alignment is calculated by:

  1. Leveling to the Plane and using its normal vector as the direction of the Z-axis.

  2. Creating a Line by using the center of both Circle features, and then rotate to it to establish the X-axis.

  3. The first Circle's center is used as the origin.

More:

Level, Rotate, and Translate to the PCC Features

Creating Prismatic Alignments


Level, Rotate, and Translate to the PCC Features

Use the PCC Alignment dialog box to level, rotate, and translate to the selected features.

To create a PCC alignment:

  1. Click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Alignments button to access the Add PCC Alignment button.

  3. Click in your measurement routine where you want to insert the alignment.

  4. Click the Add PCC Alignment button [image] to display the PCC Alignment dialog box. Notice that the Feature Selector list initially shows the possible Plane features available in your measurement routine that can be used to level the tube.

    PCC Alignment dialog box

  5. When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

    An alignment can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of an alignment, click in the alignment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. From the Feature Selector list, click the Plane feature you want to use as the level component for the alignment. Click the Tube drop-down button to display tube properties you can select and use for the alignment. Use the vertical scroll bar if necessary.

  7. Once selected, click the Next button [image] to define the Circle feature for rotation.

  8. The Feature list now displays the possible Circle features in your measurement routine you can select from. Click the Circle feature you want to use as the rotation component for the alignment. Once selected, click the Next button to define the Circle feature for translation.

  9. From the Feature list, click the Circle feature you want to use as the translation component for the alignment.

  10. Once the Plane and two Circle features have been selected for the alignment, click the Next button.

    TubeShaper automatically levels, rotates and translates to the new alignment. The new alignment is now part of your measurement routine list. The rotation is done to the X-axis and the origin is defined as the center of the first Circle.

    If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  11. Click the Edit button [image] to make any changes to the alignment properties. To delete the alignment, click the Delete button [image].

More:

Creating a Plane-Circle-Circle (PCC) Alignment


Creating a Plane-Plane-Plane (PPP) Alignment

The information presented here describes how to create a Plane-Plane-Plane (PPP) alignment.

Hint: Click the Alignments button [image] on the Program View slide-out panel to access the Add PPP Alignment button [image].

The Plane-Plane-Plane alignment is calculated by:

  1. Leveling to the Plane and using its normal vector as the direction of the Z-axis.

  2. The first two Plane features are intersected to obtain a Line to rotate to so an X-axis can be established.

  3. The three Plane features are intersected to obtain the origin Point.

More:

Level, Rotate, and Translate to the PPP Features

Creating Prismatic Alignments


Level, Rotate, and Translate to the PPP Features

Use the PPP Alignment dialog box to level, rotate, and translate to the selected features.

To create a PPP alignment:

  1. Click the Program View button [image] to display the Program View slide-out panel.

  2. Click the Alignments button to access the Add PPP Alignment button.

  3. Click in your measurement routine where you want to insert the alignment.

  4. Click the Add PPP Alignment button [image] to display the PPP Alignment dialog box. Notice that the Feature Selector list initially shows the possible Plane features available in your measurement routine that can be used to level the tube.

    PPP Alignment dialog box

  5. When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

    An alignment can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of an alignment, click in the alignment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. From the Feature Selector list, click the Plane feature you want to use as the level component for the alignment. Click the Tube drop-down button to display tube properties you can select and use for the alignment. Use the vertical scroll bar if necessary.

  7. Once selected, click the Next button [image] to define the second Plane feature for rotation.

  8. The Feature list now displays the remaining possible Plane features in your measurement routine you can select from. Click the Plane feature you want to use as the rotation component for the alignment. Once selected, click the Next button to define the Plane feature for translation.

  9. From the Feature list, click the third Plane feature you want to use as the translation component for the alignment.

  10. Once the three Plane features have been selected for the alignment, click the Next button.

    TubeShaper automatically levels, rotates and translates to the new alignment. The new alignment is now part of your measurement routine list. The first two Plane features are intersected to create a line to rotate to and establish the X-axis. All three Plane features are intersected to define the origin.

    If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  11. Click the Edit button [image] to make any changes to the alignment properties. To delete the alignment, click the Delete button [image].

More:

Creating a Plane-Plane-Plane (PPP) Alignment


Creating a Best Fit Alignment

The information presented here describes how to create a Best Fit alignment.

The Best Fit alignment uses all of its input points and calculates an alignment from them. One note of caution in that you should not use prismatic points, line endpoints and plane center points, as these points vary when measured since you can't take a point in exactly the same position. It is highly recommended that feature points that are repeatable be used. For example, circle centers since circles don’t move on successive measurements and consequently their centers don’t either.

Hint: Click the Alignments button [image] on the Program View slide-out panel to access the Add Best Fit Alignment button [image].

To create a Best Fit alignment:

  1. You need to have three point features in your measurement routine. Create them if needed. You can use non-Point features, but they are converted to points in the alignment calculation.

  2. Click the Program View button [image] to display the Program View slide-out panel.

  3. Click the Alignments button to access the Add Best Fit Alignment button.

  4. Click in your measurement routine where you want to insert the alignment.

  5. Click the Add Best Fit Alignment button to display the Best Fit Alignment dialog box. Notice that the Feature Selector list shows all the possible valid features available in your measurement routine for the alignment.

    Best Fit Alignment dialog box

  6. When a new alignment is added to your measurement routine, the name of the alignment's type is displayed in the Alignment dialog box with a number appended to the end. When you create another alignment of the same type, this number is incremented by one.

    An alignment can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of an alignment, click in the alignment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  7. From the Feature Selector list, select at least three of the listed features. Click the Tube drop-down button to display tube properties you can select and use for the alignment. Use the vertical scroll bar if necessary.

  8. Click the Next button [image] when done.

    TubeShaper automatically adds the best fit alignment as a transform feature and the new alignment is now part of your measurement routine list.

    If a normalized tube is in your measurement routine, a prompt appears to apply the alignment to the normalized tube. If you select Yes, the nominals of the normalized tube are adjusted. This is especially helpful when you have learned features in your measurement routine.

  9. Click the Edit button [image] to make any changes to the alignment properties. To delete the alignment, click the Delete button [image].

More:

Creating Prismatic Alignments


Constructed Features

Constructed features are often used when it is impossible or very difficult to take physical measurements. Each constructed feature type has one or more methods to create it. These methods require specific features to be available before the selected constructed feature can be created.

The construction methods for each construction type is detailed in this table:

Construction Type | Construction Methods
Point | Plane, Plane, Plane Line, Line Intersect Line, Plane Intersect From N Points Point Plane Projection
Line | From N Points Plane, Plane Intersect Line Projected to Plane
Circle | From N Points
Plane | From N Points MidPlane Offset Plane
Cylinder | From N Points
Round Slot | From N Points Circle, Circle
Sphere | From N Points

Descriptions and examples of each construction are provided in the topics that follow.

More:

Creating a Constructed Point

Creating a Constructed Line

Creating a Constructed Circle

Creating a Constructed Plane

Creating a Constructed Cylinder

Creating a Constructed Round Slot

Creating a Constructed Sphere


Creating a Constructed Point

There are two methods used to create a Constructed Point:

  • Constructing a point - "Plane, Plane, Plane" method

  • Constructing a point - "Line, Line Intersect" method

  • Constructing a point - "Line, Plane Intersect" method

  • Constructing a point - "From N Points" method

  • Constructing a point - "Point Plane Projection" method

More:

Constructing a Point - "Plane, Plane, Plane" Method

Constructing a Point - "Line, Line Intersect" Method

Constructing a Point - "Line, Plane Intersect" Method

Constructing a Point - "From N Points" Method

Constructing a Point - "Point Plane Projection" Method


Constructing a Point - Plane, Plane, Plane Method

TubeShaper :Home | Constructed Features | Creating a Constructed Point | Constructing a Point - "Plane, Plane, Plane" Method

Constructing a Point - "Plane, Plane, Plane" Method

To construct a point using the Plane, Plane, Plane method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the plane features needed to build your point construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Point button [image]. The Constructed Point dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Plane, Plane, Plane option, and then click the Next button [image].

  10. From the Feature Selector list, select the first plane feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Repeat for the second and third planes. Once the Next button is clicked after the third plane is selected, the constructed point is created.

    The features used to create the construction appear in the Plane, Plane, Plane list.

  13. Click the Edit button [image] to make any changes to the constructed point properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Point

Constructing a Point - "Line, Line Intersect" Method

Constructing a Point - "Line, Plane Intersect" Method

Constructing a Point - "From N Points" Method

Constructing a Point - "Point Plane Projection" Method


Constructing a Point - Line, Line Intersect Method

TubeShaper :Home | Constructed Features | Creating a Constructed Point | Constructing a Point - "Line, Line Intersect" Method

Constructing a Point - "Line, Line Intersect" Method

To construct a point using the Line, Line Intersect method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the line features needed to build your point construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Point button [image]. The Constructed Point dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Line, Line Intersect option, and then click the Next button [image].

  10. From the Feature Selector list, select the first line feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Repeat for the second line. Once the Next button is clicked after the second line is selected, the constructed point is created.

    The features used to create the construction appear in the Line, Line Intersect list.

  13. Click the Edit button [image] to make any changes to the constructed point properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Point

Constructing a Point - "Plane, Plane, Plane" Method

Constructing a Point - "Line, Plane Intersect" Method

Constructing a Point - "From N Points" Method

Constructing a Point - "Point Plane Projection" Method


Constructing a Point - Line, Plane Intersect Method

TubeShaper :Home | Constructed Features | Creating a Constructed Point | Constructing a Point - "Line, Plane Intersect" Method

Constructing a Point - "Line, Plane Intersect" Method

To construct a point using the Line, Plane Intersect method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the line and plane features needed to build your point construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Point button [image]. The Constructed Point dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Line, Plane Intersect option, and then click the Next button [image].

  10. From the Feature Selector list, select the line feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Repeat for the plane. Once the Next button is clicked after the plane is selected, the constructed point is created.

    The line and plane features used to create the construction appear in the Line, Plane Intersect list.

  13. Click the Edit button [image] to make any changes to the constructed point properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Point

Constructing a Point - "Plane, Plane, Plane" Method

Constructing a Point - "Line, Line Intersect" Method

Constructing a Point - "From N Points" Method

Constructing a Point - "Point Plane Projection" Method


Constructing a Point - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Point | Constructing a Point - "From N Points" Method

Constructing a Point - "From N Points" Method

To construct a point using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the point features needed to build your point construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Point button [image]. The Constructed Point dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to use for the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. A minimum of two points are needed.

  11. Click the Next button to display the constructed point.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed point properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Point

Constructing a Point - "Plane, Plane, Plane" Method

Constructing a Point - "Line, Line Intersect" Method

Constructing a Point - "Line, Plane Intersect" Method

Constructing a Point - "Point Plane Projection" Method


Constructing a Point - Point Plane Projection Method

TubeShaper :Home | Constructed Features | Creating a Constructed Point | Constructing a Point - "Point Plane Projection" Method

Constructing a Point - "Point Plane Projection" Method

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the point and plane features needed to build your point construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Point button [image]. The Constructed Point dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Point Plane Projection option, and then click the Next button [image].

  10. From the Feature Selector list, select the point feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Select the plane to project to. Once the Next button is clicked after the plane is selected, the constructed point is created.

    The Point and Plane features used to create the construction appear in the Point Plane Projection list.

  13. Click the Edit button [image] to make any changes to the constructed point properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Point

Constructing a Point - "Plane, Plane, Plane" Method

Constructing a Point - "Line, Line Intersect" Method

Constructing a Point - "Line, Plane Intersect" Method

Constructing a Point - "From N Points" Method


Creating a Constructed Line

TubeShaper :Home | Constructed Features | Creating a Constructed Line

Constructing a Line Feature

Note: Line, Circle and Round Slot features are always projected into their reference plane and are consequently always 2D. When creating a constructed Line, Circle, or Round Slot, they are never projected into a reference plane since they don't have one and are consequently always 3D.

There are two methods used to create a Constructed Point feature:

  • Constructing a line - "From N Points" method

  • Constructing a line - "Plane, Plane Intersect" method

  • Constructing a line - "Line Projected to Plane" method

More:

Constructing a Line Feature - "From N Points" Method

Constructing a Line Feature - "Plane, Plane Intersect" Method

Constructing a Line Feature - "Line Projected to Plane" Method


Constructing a Line - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Line | Constructing a Line - "From N Points" Method

Constructing a Line - "From N Points" Method

To construct a line using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the point features needed to build your line construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Line button [image]. The Constructed Line dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to use for the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. At least three points are needed.

  11. Click the Next button to display the constructed line.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed line properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Line

Constructing a Line - "Plane, Plane Intersect" Method

Constructing a Line - "Line Projected to Plane" Method


Constructing a Line - Plane, Plane Intersect Method

TubeShaper :Home | Constructed Features | Creating a Constructed Line | Constructing a Line - "Plane, Plane Intersect" Method

Constructing a Line - "Plane, Plane Intersect" Method

To construct a line using the "Plane, Plane Intersect" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the features needed to build your line construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Line button [image]. The Constructed Line dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Plane, Plane Intersect option, then click the Next button [image].

  10. From the Feature Selector list, select the first plane feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Repeat for the second plane. Once the Next button is clicked after the second plane is selected, the constructed line is created.

    The features used to create the construction appear in the Plane, Plane Intersect list.

  13. Click the Edit button [image] to make any changes to the constructed line properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Line

Constructing a Line - "From N Points" Method

Constructing a Line - "Line Projected to Plane" Method


Constructing a Line - Line Projected to Plane Method

TubeShaper :Home | Constructed Features | Creating a Constructed Line | Constructing a Line - "Line Projected to Plane" Method

Constructing a Line - "Line Projected to Plane" Method

To construct a line using the "Line Projected to Plane" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the features needed to build your line construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Line button [image]. The Constructed Line dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Line Projected to Plane option, then click the Next button [image].

  10. From the Feature Selector list, select the line feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Select the plane. Once the Next button is clicked after the plane is selected, the constructed line is created.

    The features used to create the construction appear in the Line Projected to Plane list.

  13. Click the Edit button [image] to make any changes to the constructed line properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Line

Constructing a Line - "From N Points" Method

Constructing a Line - "Plane, Plane Intersect" Method


Creating a Constructed Circle

The method used to create a Constructed Circle feature is:

  • Constructing a circle - "From N Points" method

More:

Constructed Features

Constructing a Circle - "From N Points" Method


Constructing a Circle - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Circle | Constructing a Circle - "From N Points" Method

Constructing a Circle - "From N Points" Method

To construct a circle using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the points needed to build your circle construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Circle button [image]. The Constructed Circle dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. At least three points are needed.

  11. Click the Next button to display the constructed circle.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed circle properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Circle


Creating a Constructed Plane

There are two methods used to create a Constructed Plane feature:

  • Constructing a plane - "From N Points" method

  • Constructing a plane - "MidPlane" method

  • Constructing a plane - "Offset Plane" method

More:

Constructed Features

Constructing a Plane - "From N Points" Method

Constructing a Plane - "MidPlane" Method

Constructing a Plane - "Offset Plane" Method


Constructing a Plane - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Plane | Constructing a Plane - "From N Points" Method

Constructing a Plane - "From N Points" Method

To construct a plane using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the points needed to build your plane construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Plane button [image]. The Constructed Plane dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. At least three points are needed.

  11. Click the Next button to display the constructed plane.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed plane properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Plane

Constructing a Plane - "MidPlane" Method

Constructing a Plane - "Offset Plane" Method


Constructing a Plane - MidPlane Method

TubeShaper :Home | Constructed Features | Creating a Constructed Plane | Constructing a Plane - "MidPlane" Method

Constructing a Plane - "MidPlane" Method

To construct a plane using the "MidPlane" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the features needed to build your plane construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Plane button [image]. The Constructed Plane dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the MidPlane option, then click the Next button [image].

  10. From the Feature Selector list, select the first plane feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. Repeat for the second plane. Once the Next button is clicked after the second plane is selected, the constructed plane is created.

    The features used to create the construction appear in the MidPlane list.

  13. Click the Edit button [image] to make any changes to the constructed plane properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Plane

Constructing a Plane - "From N Points" Method

Constructing a Plane - "Offset Plane" Method


Constructing a Plane - Offset Plane Method

TubeShaper :Home | Constructed Features | Creating a Constructed Plane | Constructing a Plane - "Offset Plane" Method

Constructing a Plane - "Offset Plane" Method

To construct a plane using the "MidPlane" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the features needed to build your plane construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Plane button [image]. The Constructed Plane dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Offset Plane option, then click the Next button [image].

  10. From the Feature Selector list, select the plane feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary.

  11. Click the Next button.

  12. From the Enter Offset area, enter the X, Y, Z offset values.

  13. Click the Next button. Once the Next button is clicked, the constructed plane is created.

    The features used to create the construction appear in the Offset Plane list.

  14. Click the Edit button [image] to make any changes to the constructed plane properties.

  15. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  16. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].

More:

Creating a Constructed Plane

Constructing a Plane - "From N Points" Method

Constructing a Plane - "MidPlane" Method


Creating a Constructed Cylinder

The method used to create a Constructed Cylinder feature is:

  • Constructing a cylinder - "From N Points" method

More:

Constructed Features

Constructing a Cylinder - "From N Points" Method


Constructing a Cylinder - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Cylinder | Constructing a Cylinder - "From N Points" Method

Constructing a Cylinder - "From N Points" Method

To construct a cylinder using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the points needed to build your cylinder construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Cylinder button [image]. The Constructed Cylinder dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. At least six points are needed - three points at one level, and another three points at a second level.

  11. Click the Next button to display the constructed cylinder.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed cylinder properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].


Creating a Constructed Round Slot

The method used to create a Constructed Cylinder feature is:

  • Constructing a round slot - "From N Points" method

  • Constructing a round slot - "Circle, Circle" method

More:

Constructed Features

Constructing a Round Slot - "From N Points" Method

Constructing a Round Slot - "Circle, Circle" Method


Constructing a Round Slot - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Round Slot | Constructing a Round Slot - "From N Points" Method

Constructing a Round Slot - "From N Points" Method

To construct a round slot using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the points needed to build your round slot construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Round Slot button [image]. The Constructed Round Slot dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. At least six points are needed.

  11. Click the Next button to display the constructed round slot.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed round slot properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].


Constructing a Round Slot - Circle, Circle Method

TubeShaper :Home | Constructed Features | Creating a Constructed Round Slot | Constructing a Round Slot - "Circle, Circle" Method

Constructing a Round Slot - "Circle, Circle" Method

To construct a round slot using the "Circle, Circle" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the circles needed to build your round slot construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Round Slot button [image]. The Constructed Round Slot dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the Circle Circle option, then click the Next button [image].

  10. From the Feature Selector list, select the first circle feature to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. Two circle features are required.

  11. Click the Next button.

  12. Select the second circle. Once the Next button is clicked after the second circle is selected, the constructed round slot is created.

    The features used to create the construction appear in the From N Points list.

  13. Click the Edit button [image] to make any changes to the constructed round slot properties.

  14. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  15. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].


Creating a Constructed Sphere

The method used to create a Constructed Sphere feature is:

  • Constructing a Sphere - "From N Points" method

More:

Constructed Features

Constructing a Sphere - "From N Points" Method


Constructing a Sphere - From N Points Method

TubeShaper :Home | Constructed Features | Creating a Constructed Sphere | Constructing a Sphere - "From N Points" Method

Constructing a Sphere - "From N Points" Method

To construct a sphere using the "From N Points" method:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create the points needed to build your sphere construction if not already done.

  3. Click the Construction button [image] to display the Construction Bar. The Construction Bar enables you to create features (points, lines, circles, etc.) from existing features (ones already measured or constructed).

  4. Click the Add Constructed Sphere button [image]. The Constructed Sphere dialog appears in the program listing.

  5. When a new constructed feature is added to your measurement routine, the name of the constructed feature's type is displayed in the Feature dialog box with a number appended to the end. When you create a new constructed feature of the same type, this number is incremented by one.

    A constructed feature can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a constructed feature, click the constructed feature's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary. Note that the selected feature is displayed in red in the graphic for ease of identification.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Alignment list, select the type of alignment for the construction.

  9. From the Choose Method list, select the From N Points option, then click the Next button [image].

  10. From the Feature Selector list, select the point features to begin the construction.

    Note: Some features have constituent features you can use to create a construction. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use for the construction.

    Use the vertical scroll bar if necessary. At least four points are needed.

  11. Click the Next button to display the constructed sphere.

    The features used to create the construction appear in the From N Points list.

  12. Click the Edit button [image] to make any changes to the constructed sphere properties.

  13. The new feature is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the constructed feature, click the Delete button [image].


Dimensions

Once features have been measured or constructed, dimensions between features can be calculated.

All features and constructions are collapsed into a point - either their origin or the XYZ displayed in the Dimension dialog box. All dimensions, consequently, are based on 3D distances using a straight line from the centroid of the first selected feature or construction to the second.

The main topics in this chapter are:

  • 2D and 3D Distance Dimension

  • Angle Dimension

More:

Creating a 2D Distance Dimension

Creating a 3D Distance Dimension

Creating an Angle Dimension


Creating a 2D Distance Dimension

To calculate the 2D distance dimension:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create or construct the required features if necessary.

  3. Click the Dimensions button [image] to display the Dimension Bar. The Dimension Bar enables you to calculate the 2D or 3D distance, or angle dimension between two features.

  4. Click the Distance Dimension button [image]. The Distance Dimension dialog appears in the program listing.

  5. When a new dimension is added to your measurement routine, the name of the dimension's type is displayed in the Dimension dialog box with a number appended to the end. When you create another dimension of the same type, this number is incremented by one.

    A dimension can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a dimension, click in the dimension's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Dimension Type list, select the X Axis, Y Axis, or Z Axis option.

  9. From the Feature Selector list, select the first feature.

    Note: Some features have constituent features you can use. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use.

    Use the vertical scroll bar if necessary.

  10. Click the Next button [image].

  11. Repeat for the next feature. Once the Next button is clicked after the second feature is selected, the calculated distance is displayed in the Distance box.

    The features used to calculate the distance appear in the Input Features list.

  12. Click the Edit button [image] to make changes to the distance dimension properties.

  13. The new distance dimension is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the distance dimension, click the Delete button [image].

More:

Dimensions

Creating a 3D Distance Dimension

Creating an Angle Dimension


Creating a 3D Distance Dimension

To calculate the 3D distance dimension between two features:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create or construct the required features if not already done.

  3. Click the Dimensions button [image] to display the Dimension Bar. The Dimension Bar enables you to calculate the distance or angle dimension between two features.

  4. Click the Distance Dimension button [image]. The Distance Dimension dialog appears in the program listing.

  5. When a new dimension is added to your measurement routine, the name of the dimension's type is displayed in the Dimension dialog box with a number appended to the end. When you create another dimension of the same type, this number is incremented by one.

    A dimension can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a dimension, click in the dimension's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Dimension Type list, select the 3D option.

  9. From the Feature Selector list, select the first feature.

    Note: Some features have constituent features you can use. For example, if a line is available, you can select the line's Start Point, Mid Point or End Point.

    Click the Tube drop-down button to display tube properties you can select and use.

    Use the vertical scroll bar if necessary.

  10. Click the Next button [image].

  11. Repeat for the next feature. Once the Next button is clicked after the second feature is selected, the calculated distance is displayed in the 3D Distance box.

    The features used to calculate the distance appear in the Input Features list.

  12. Click the Edit button [image] to make changes to the distance dimension properties.

  13. The new distance dimension is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  14. When ready, click the Run button [image] to recalculate the features if necessary. To delete the distance dimension, click the Delete button [image].

More:

Dimensions

Creating a 2D Distance Dimension

Creating an Angle Dimension


Creating an Angle Dimension

To calculate the angle dimension between two features:

  1. Open a project and click the Program View button to display the Program View slide-out panel.

  2. Create or construct the required features if not already done.

  3. Click the Dimensions button [image] to display the Dimension Bar. The Dimension Bar enables you to calculate the distance or angle dimension between two features.

  4. Click the Angle Dimension button [image]. The Angle Dimension dialog appears in the program listing.

  5. When a new dimension is added to your measurement routine, the name of the dimension's type is displayed in the Dimension dialog box with a number appended to the end. When you create another dimension of the same type, this number is incremented by one.

    A dimension can be renamed at any point to better manage and identify them in your measurement routine.

    For example, to change the name of a dimension, click in the dimension's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Navigate Left [image] and Navigate Right [image] buttons to navigate between the Nominals, Measured, Tolerance, +Tol (if turned on), -Tol (if turned on), and Deviations views. Update the fields where necessary.

  7. Turn tolerances on or off for a given field (X, Y, Z, Diameter, Width, Length, etc.).

    • When turned Off, the tolerances for the field are not used. The label for the field is displayed in grey to signify no tolerances are used.

    • When turned On, the tolerances are used and the field's label turns red (out of tolerance) or green (in tolerance) based on the measured value.

    To do this:

    1. Once you have selected the feature from the Feature Bar, click the Navigate Left or Navigate Right button until the Tolerance view is displayed.

    2. Click the drop-down arrow for each field and select the appropriate option to enable or disable tolerances for that field.

    3. Click the Navigate Left or Navigate Right button to view or change the tolerance values of those turned On.

  8. From the Feature Selector list, select the first feature. Click the Tube drop-down button to display tube properties you can select and use. Use the vertical scroll bar if necessary.

  9. Click the Next button [image].

  10. Repeat for the next feature. Once the Next button is clicked after the second feature is selected, the calculated angle is displayed in the Angle box.

    The features used to calculate the angle appear in the Input Features list.

  11. Click the Edit button [image] to make changes to the angle dimension properties.

  12. The new distance dimension is added to the report by default. Click the Include in Report button [image] to toggle the new feature to be added or not into your report. The button is disabled when it is displayed in gray.

  13. When ready, click the Run button [image] to recalculate the features if necessary. To delete the angle dimension, click the Delete button [image].

More:

Dimensions

Creating a 2D Distance Dimension

Creating a 3D Distance Dimension


Utilities

You can create Probe Prompts and Comments as soon as you open a tube project or create a new project. Options to create Probe Prompts and Comments in your measurement routine are found when you click the Utilities button [image].

To create Probe Prompts or Comments, see the appropriate topic in this section.

More:

Adding a Probe Prompt to a Measurement Routine

Adding a Comment to a Measurement Routine


Adding a Probe Prompt to a Measurement Routine

You can include a probe prompt at any point in your measurement program. This allows you, for example, to receive a prompt to switch to a different probe type if necessary.

Note: Since a hard probe is required to measure features, a Probe Prompt is not necessary. TubeShaper automatically prompts to ensure you switch to a hard probe. However, a prompt must be added if you switch from feature measurements to tube measurements with a tube probe.

To create a Probe Prompt:

  1. Select the feature in the measurement routine where a probe prompt is needed. The prompt should be added before the feature to be measured.

  2. Click the Utilities button [image]. The Add Comment [image] and Add Probe [image] buttons appear below the selected feature.

  3. Click the Add Probe button. The Probe Prompt Definition dialog box appears.

  4. When a new prompt is added to your measurement routine, the name is displayed in the prompt's dialog box with a number appended to the end. When you create another probe prompt, this number is incremented by one.

    The name of the probe prompt can be changed at any point to better manage and identify them in your measurement routine.

    To change the name of a probe prompt, click the prompt's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  5. Select the appropriate probe type from the Probe Type list.

  6. Click the Measure button [image] to test the prompt.

To delete the prompt, click the Delete button [image].

A Probe Prompt item is now displayed in your measurement routine.

To edit the prompt item, click it and make the necessary changes.

More:

Utilities

Adding a Comment to a Measurement Routine


Adding a Comment to a Measurement Routine

You can include a comment at any point in your measurement program. The comment command is added immediately below the selected feature.

To create a Comment:

  1. Select the feature in the measurement routine where a comment is needed.

  2. Click the Utilities button [image]. The Add Comment [image] and Add Probe [image] buttons appear below the selected feature.

  3. Click the Add Comment button. The Comment Definition dialog box appears.

  4. Enter the appropriate text for the prompt to display.

  5. When a new comment is added to your measurement routine, the name is displayed in the comment's dialog box with a number appended to the end. When you create another comment, this number is incremented by one.

    The name of the comment can be changed at any point to better manage and identify them in your measurement routine.

    To change the name of a comment, click the comment's label and enter a new name:

    Click anywhere outside the label to complete the name change.

  6. Click the Measure button [image] to test the prompt.

To delete the comment, click the Delete button [image].

A comment command is now displayed in your measurement routine.

To edit the comment command, click it and make the necessary changes.

More:

Utilities

Adding a Probe Prompt to a Measurement Routine


Reports

To display the Report view, double-click any of the projects from the Project Listings area of the TubeShaper main screen, then click the Report tab.

To view an existing report for a specific project:

  1. Click Reports from the TubeShaper main screen to display the Report Hub view.

  2. Click a tube project in the Report Listing area on the left. All reports for the selected tube project are listed in the Report Details area on the right.

  3. Double-click the report to open it in the Report view.

Click the Report Options button [image] to modify the report as needed.

When done, click the Save/Export Menu button [image] to save your report as a TubeShaper report file or export it as a PDF or CSV file type. You can also print the report using the Print button [image]. These buttons are located in the lower-right of the Report View screen.

For details on saving, exporting or printing reports, see the "Saving, Exporting and Printing Reports" chapter.

More:

Create a New Report

Modify an Existing Report

Saving, Exporting and Printing Reports


Create a New Report

To create a new report:

  1. Double-click a tube project from the Project Listing area of the main screen to display the project in edit mode.

  2. Click the Report tab to display the report for the selected tube project.

  3. Click the Report Options button [image] located in the upper-right area of the edit screen to display the Report Options slideout panel if not already visible. See "Report Options" topic for details.

  4. Update the report options as necessary. The report immediately updates in the Report Workspace based on the changes made.

  5. Reorder sections in the report by clicking and dragging the options within the Report Options dialog. The report immediately updates in the Report Workspace based on the changes made.

  6. Once all the report options are set and the report is organized how you want, click the Workspace tab to display the Action Bar along the bottom of the screen.

  7. Click the Save/Export Menu button [image] to complete your new report.

More:

Report Options

Modifying an Existing Report


Report Options

Mark the check box to the right of each report option to activate them. When activated, the software inserts them into your report in the order listed in the options.

Report option groups with multiple items have three settings:

  • When the top-level check box is marked [image], all options are selected in the group.

  • When the check box is a solid colored box [image], only some options in the group are selected.

  • When the check box is empty [image], no items in the group are selected.

To edit the options for a report:

  1. Double-click a project in the Projects Listing area of the main screen to view the project in edit mode.

  2. Click the Report Options button [image] to display the Report Options slide-out panel if not already visible.

  3. Update the options you want in your report by marking the appropriate check boxes to the right of each option.

  4. Click and drag sections within the Report Options panel to reorder them in the report. The software immediately updates the view in the Report Workspace based on the changes made.

  5. Once all the report options are set and the report is organized how you want, click the Workspace tab to display the Action Bar along the bottom of the screen.

  6. Click the Save/Export Menu button [image] to save all changes made. For details on Saving, Exporting and Printing reports, see the "Saving, Exporting and Printing Reports" chapter.

The following report options are available:

More:

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistics Report Option

CLRA (Corrected LRA) Data Report Option

LRA (Length, Radius, Angle) Data Report Option

ALRA (Absolute Length, Radius, Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


Company Logo Report Option

The Company Logo option is used to import an image file of your company's logo that is added to the top of your report.

To change the logo on your report:

  1. Click the Company Logo check box to mark it so the logo image is added to your report.

  2. Click the Browse button [image] to display the Browse for Image File dialog.

  3. Navigate to and select the image file of your company's logo to add to the report. You can also manually type in the file's location.

  4. Click Open to import the file into your report.

More:

Create a New Report

Report Options

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected Length Radius Angle) Data Report Option

LRA (Length Radius Angle) Data Report Option

ALRA (Absolute Length Radius Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


CAD View Report Option

Mark the CAD View check box to add the CAD image into your report.

More:

Create a New Report

Report Options

Company Logo Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected Length Radius Angle) Data Report Option

LRA (Length Radius Angle) Data Report Option

ALRA (Absolute Length Radius Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


Tangent Point Data Report Option

TubeShaper :Home | Reports | Create a New Report | Report Options | TP Data Report Option

TP (Tangent Point) Data Report Option

Mark the TP Data check box to insert Tangent Point data into your report.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

End Statistic Report Option

CLRA (Corrected Length Radius Angle) Data Report Option

LRA (Length Radius Angle) Data Report Option

ALRA (Absolute Length Radius Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


End Statistics Report Option

TubeShaper :Home | Reports | Create a New Report | Report Options | End Statistics Report Option

End Statistics

Mark the End Statistics check box to insert statistical data into your report. Statistical data includes length, angle and offset errors for the A-End and B-End.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

CLRA (Corrected LRA) Data Report Option

LRA (Length, Radius, Angle) Data Report Option

ALRA (Absolute Length, Radius, Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


Corrected LRA Data Report Option

TubeShaper :Home | Reports | Create a New Report | Report Options | Corrected LRA Data Report Option

CLRA (Corrected LRA) Report Option

Mark the CLRA Data check box to insert the Corrected LRA data into your report.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

LRA (Length Radius Angle) Data Report Option

ALRA (Absolute Length Radius Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


LRA Data Report Option

TubeShaper :Home | Reports | Create a New Report | Report Options | LRA Data Report Option

LRA (Length, Radius, Angle) Report Option

Mark the LRA Data check box to insert the LRA data into your report.

To include only the nominal, measured or deviation data in your report, click the individual check boxes.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected LRA) Data Report Option

ALRA (Absolute Length Radius Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


Absolute LRA Data Report Option

TubeShaper :Home | Reports | Create a New Report | Report Options | Absolute LRA Report Option

ALRA (Absolute LRA) Report Option

Mark the ALRA Data check box to insert the Absolute LRA data into your report.

To include only the nominal, measured or deviation data in your report, click the individual check boxes.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected LRA) Data Report Option

LRA (Length Radius Angle) Data Report Option

XYZ Data Report Option

Features Report Option

Tube Properties Report Option


XYZ Data Report Option

Mark the XYZ Data check box to insert the XYZ data into your report.

To include only the nominal, measured or deviation data in your report, click the individual check boxes.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected LRA) Data Report Option

LRA (Length Radius Angle) Data Report Option

ALRA (Absolute LRA) Data Report Option

Features Report Option

Tube Properties Report Option


Features Report Option

Mark the Features check box to insert the data from all the defined features into your report.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected LRA) Data Report Option

LRA (Length, Radius, Angle) Data Report Option

ALRA (Absolute Length, Radius, Angle) Data Report Option

XYZ Data Report Option

Tube Properties Report Option


Tube Properties Report Option

Mark the Tube Properties check box [image] to insert all the tube properties options into your report.

Note: Marking the Tube Properties check box for individual selection [image] allows you to select the options separately.

  1. General - When marked, all general property details of the project are included in the report. See the "General Properties" topic for details.

    Units - When marked, the project's measurement units is included in the report.

    Physical properties - When marked, the physical properties details related to the tube are included in the report. See the "Physical Properties" topic for details.

    Tolerances - When marked, all tolerance values are included in the report. See the "Tolerances Properties" topic for details.

    Inspection Options - When marked, the inspection details are included in the report. See the "Inspection Options Properties" topic for details.

    Correction Options - When marked, the correction details are included in the report. See the "Correction Options Properties" topic for details.

More:

Create a New Report

Report Options

Company Logo Report Option

CAD View Report Option

TP (Tangent Point) Data Report Option

End Statistic Report Option

CLRA (Corrected LRA) Data Report Option

LRA (Length, Radius, Angle) Data Report Option

ALRA (Absolute Length, Radius, Angle) Data Report Option

XYZ Data Report Option

Features Report Option


Modify an Existing Report

TubeShaper :Home | Reports | Modify an Existing Report

Modifying an Existing Report

To modify an existing report:

  1. Double-click a tube project from the Project Listing area of the Project Hub view screen to display the project's Workspace.

  2. Click Report to view the existing report for the currently opened project.

  3. Click the Report Options button [image] located in the upper-right area of the edit screen to display the Report Options slide-out panel if it is not already visible. See "Report Options" topic for details.

  4. Use the Zoom In and Zoom Out controls [image] to view the report as necessary. Click the up arrow to the right of the Zoom Percentage field to display a list of selectable zoom options.

  5. Update the report options as necessary.

  6. Click and drag the various sections in the Report Options slide-out panel to reposition them as needed.

    The report is updated in the Report view area based on the options you've selected and according to the position of each section in the Report Options slide-out panel.

    For details on saving, exporting and printing reports, see the chapter "Saving, Exporting and Printing Reports".

More:

Reports

Create a New Report

Report Options

Saving, Exporting and Printing Reports


Saving, Exporting and Printing Reports

Once you've modified a report for the current tube project, they can be easily saved, exported as a PDF or CSV file type or printed for review.

TubeShaper provides these options using the Save/Export Menu [image] and Print [image] buttons located in the lower-right of the Report Workspace.

The following topics describe how to Save, Export and Print your report.

More:

Saving a Report

Exporting a Report

Printing a Report

Reports

Create a New Report

Modify an Existing Report


Saving a Report

Reports can be saved in the current unit setting or you can change the units prior to saving. To change the units of the current report:

  1. With a report open, click the Application Settings button [image].

  2. From the General tab, click the desired units to be displayed.

  3. Click OK to set the new units for the report.

  4. Save your report with the new unit setting applied as described below.

To save the current report:

  1. Click the Save/Export Menu button [image]. The Save/Export pop-up menu appears.

  2. Click the Save option to save the report.

    The report is saved as follows:

    • Unless the default location has been changed in the Application Settings, reports are saved in a folder with the project's name. For details, see the "Application Settings" topic.

    • If the project folder doesn't exist, one is created.

    • All reports are saved with the tube project's name followed by a date/time stamp appended to the end of the file name in "_yyyy-mm-dd-hh-mm-ss" format.

    • Reports have the ".htr" TubeShaper report project file extension.

More:

Exporting a Report

Printing a Report

Reports

Create a New Report

Modify an Existing Report


Exporting a Report

To export the current report:

  1. Click the Save/Export Menu button [image] to save a TubeShaper report located in the lower-right of the Reports screen. The Save/Export pop-up menu appears.

  2. Click the Export option to save the report. The Export Report dialog box appears.

  3. The default reports path is displayed in the Path field. Click the down arrow on this field and select an alternate location from the drop-down list if available. You can also use the navigation window in the center-left of the dialog box to change the export location.

  4. Exported reports are saved with the tube project's name followed by a date/time stamp appended to the end of the file name in "_yyyy-mm-dd-hh-mm-ss" format by default. You can change the name by clicking in the File Name field and entering a new name or modifying the default name as necessary.

  5. Click the drop-down arrow for the File Filter to select the file type for the exported report. TubeShaper exports reports as PDF or CSV file types.

  6. Click Save when done to export the file based on your selections. Click Cancel to close the dialog box.

More:

Saving a Report

Printing a Report

Reports

Create a New Report

Modify an Existing Report


Printing a Report

To print the current report:

  1. Click the Print button [image] located in the lower-right of the Report screen to display the Print Setup dialog box.

  2. Select the printer from the Printer drop-down list. The default printer is automatically selected.

  3. Select All to print the entire report or select the Range option and enter the page range to print.

  4. Enter the number of copies to print as needed.

  5. Click Print to begin printing the report based on the selected options. Click Cancel to exit the dialog box.

More:

Saving a Report

Exporting a Report

Reports

Create a New Report

Modify an Existing Report


Shop Floor Mode

TubeShaper's Shop Floor mode provides access to more limited functionality.

To enter Shop Floor mode, click the Shop Floor Mode button [image] located on the right side of the Main Menu bar.

When turned on, the title bar changes with the text "(Shop Floor Mode)" added and the screen text and icons are enlarged.

Return to Engineering mode by clicking the Shop Floor Mode button again. If a password is applied, the Login dialog box is displayed.

Login dialog box

Enter the password to return to Engineering mode then click OK.

The page title updates with the text "(Shop Floor Mode)" removed. Screen text and icons revert back to Engineering display.

More:

Shop Floor Mode: Overview

Shop Floor Mode: Project Workspace

Shop Floor Mode: Bender Screen

Shop Floor Mode: Reports Screen

Shop Floor Mode: Measuring a Tube


Shop Floor Mode: Overview

Shop Floor mode is used when minimal functionality is required for:

  • Measuring a tube using existing tube projects with some ability to make changes to current tube properties as needed

  • Reviewing and editing existing Bender projects

  • Reviewing, saving, exporting and printing reports

When TubeShaper is first opened in Shop Floor mode, the main Projects Hub view screen is displayed.

Example of the main Projects hub view screen when in Shop Floor mode

The list of projects on the left can be viewed in a tile view as shown above by clicking the Tile View button [image]. Click the Detail View button [image] to display the tube projects in a detailed list view.

Examples showing main menu buttons in Engineering mode (top) compared to Shop Floor mode (bottom)

The software disables certain options in the Application Settings when in Shop Floor mode. For details, see the "Application Settings - Shop Floor Mode" topic.

For details on the full Engineering mode capabilities of the TubeShaper Application Settings menu option, see the "Application Settings" chapter.

The Project Menu bar is removed from the main screen when in Shop Floor mode. The bar is replaced with the Open button [image] and the Measure/Stop Program button [image].

When you click the Open button, the selected tube project is opened in the Workspace but is not in measurement mode. This allows you to select a bender if necessary before you start the tube measurement.

When you click the Measure/Stop Program button, the selected tube project is opened in the Workspace in measurement mode.

When in Shop Floor Mode, the software prevents projects from being created, copied, deleted or edited.

For details on the full Engineering mode capabilities of the TubeShaper Project Menu bar, see the topic "Project Menu Bar".

For details on measuring a tube in TubeShaper's Shop Floor mode, see the chapter "Shop Floor Mode: Measuring a Tube"

The following topics describe the Project Workspace, Bender and Report screens as well as measuring a tube in Shop Floor mode.

More:

Shop Floor Mode

Shop Floor Mode: Project Workspace

Shop Floor Mode: Bender Screen

Shop Floor Mode: Reports Screen

Shop Floor Mode: Measuring a Tube


Application Settings - Shop Floor Mode

You have access to all the options on the General, Visibility and Display tabs except for the New project defaults section of the General tab. The Paths, Features and Advanced tabs are not accessible.

For details on the General tab options, see the "Application Settings - General Tab" topic.

For details on the Visibility tab options, see the "Application Settings - Visibility Tab" topic.

For details on the Display tab options, see the "Application Settings - Display Tab" topic.

More:

Shop Floor Mode: Overview


Shop Floor Mode: Project Workspace

The project's Workspace is only accessible in Shop Floor mode when online and a measurement arm is attached.

Example of a project opened in the project Workspace when in Shop Floor mode

The following can be performed from the project's Workspace when Shop Floor mode is turned on:

  • Measure a tube

  • Recalculate tube data

  • Select a bender

  • Retrieve tube data from a bender

  • Send tube data to a bender

  • All Save/Export options are enabled

  • View Selector options are enabled to display a graphical view of the CAD, the Nominal or Measured View

The following slide-out panel differences when Shop Floor mode is turned on:

Data View slide-out panel

  • You can view and select between the XYZ, LRA and ALRA views but no editing is allowed.

Tangent Points slide-out panel

  • You can view the Tangent Point data

CLRA slide-out panel

  • You can view the CLRA data but no editing is allowed

  • You can edit or select the Tube Cut Length value as needed

  • You can edit the B-End Difference Tag value as needed

  • You can edit the B-End Diff Percentage value as needed

  • You can edit the % B-End percent slider value as needed

Program View slide-out panel

  • You can view the currently loaded program but no options are enabled for editing

Project/Tube Properties slide-out panel

  • You can view the currently opened project and tube properties but no options are enabled for editing

Springback slide-out panel

  • You can view the springback properties for the currently opened project but no options are enabled for editing

Report Options slide-out panel

  • You can view the report properties but no options are enabled for editing

For a detailed description of each of area of the project's Workspace when in Engineering mode, see the chapter "New Project Interface".

More:

Shop Floor Mode

Shop Floor Mode: Overview

Shop Floor Mode: Bender Screen

Shop Floor Mode: Reports Screen

Shop Floor Mode: Measuring a Tube


Shop Floor Mode: Benders Screen

Click the Benders tab option in the hub view selection pane to access the Benders Hub view screen.

Example of the Benders screen when in Shop Floor mode

The list of bender projects on the left can be viewed in a tile view as shown above by clicking the Tile View button [image]. Click the Detail View button [image] to display the bender projects in a detailed list view.

When in Shop Floor mode, the Benders screen allows you to download tube data from a bending machine. Once the data is available locally, open a tube project and select the bender from the list. For details on opening a tube project and measuring a tube in Shop Floor mode, see the topic "Shop Floor Mode: Measuring a Tube".

To recall tube data from a bending machine, do one of the following:

  • Double-click a bender project to begin a recall operation.

  • Single-click an existing bender project and click the Recall button located in the lower-right of the screen.

For details on recalling tube data from a bending machine, see the topic "Recalling Tube Data from a Bending Machine".

For a detailed description of each area of the Bender screen when in Engineering mode, see the topic "Bender Screen Details".

More:

Shop Floor Mode

Shop Floor Mode: Overview

Shop Floor Mode: Project Workspace

Shop Floor Mode: Reports Screen

Shop Floor Mode: Measuring a Tube


Shop Floor Mode: Reports Screen

Click the Reports tab option in the hub view selection pane to access the Reports Hub screen.

Example of the Reports screen when in Shop Floor mode

The list of report projects on the left can be viewed in a tile view as shown above by clicking the Tile View button [image]. Click the Detail View button [image] to display the report projects in a detailed list view.

The Reports Hub screen allows you to display a selected report in the Report view screen. You can then view, save and export the currently opened report.

To open a tube report in Report view, do one of the following:

  • Double-click a report project

  • Single-click an existing report project and click the Open button located in the lower-right of the screen

For details on options available when a report is opened in Report view, see the "Shop Floor Mode: Report View" topic.

More:

Shop Floor Mode

Shop Floor Mode: Overview

Shop Floor Mode: Project Workspace

Shop Floor Mode: Bender Screen

Shop Floor Mode: Measuring a Tube


Shop Floor Mode: Report View

Access the Report view screen by double-clicking a report from the main project listing area or click Open. Click Reports to display the report for the opened project.

To view an existing report for a specific project:

  1. Click Reports from the TubeShaper main screen to display the Report Hub view.

  2. Click a tube project in the Report Listing area on the left. All reports for the selected tube project are listed in the Report Details area on the right.

  3. Double-click the report to open it in the Report view.

These options are available when a report is viewed in Shop Floor mode:

  1. Report Options - When clicked, the Report Options pane appears. The pane displays the order of the report output and is not editable.

    Report Zoom - Click the +/- buttons to zoom the report in and out, or use the list to select a specific zoom preference.

    Save/Export - Click to export the report in PDF format. The Save option is not available in Shop Floor mode.

    Print - Click to print a copy of the report. A Print dialog box is displayed for you to:

    • Select a printer

    • Set the number of copies to print

    • Options to print the entire report or specific pages.

Click the Workspace tab to view the project associated with the report.

More:

Shop Floor Mode: Reports Screen


Shop Floor Mode: Measuring a Tube

When in Shop Floor mode, you can measure a tube in one of these ways:

Note: For the first two methods, a ROMER Absolute Arm must be connected and configured before TubeShaper is able to perform measurements.

Measure a tube from the TubeShaper main screen

  1. Select a project from the Project Listing area.

  2. Click the Measure button [image]. The selected project is opened in the project Workspace. Follow the instructions shown in the Action Bar to measure the tube.

Measuring a tube from the Project Workspace

  1. Double-click a project from the Project Listing area to display the project in the project Workspace.

  2. Click the Measure/Stop button [image] located in the lower-left of the Action Bar. Follow the instructions displayed in the Action Bar to measure the tube.

Measuring a tube recalled from a bending machine

Note: A CNC tube bending machine must be configured and connected to TubeShaper prior to performing these measurements.

  1. From the Project View screen, select the Benders tab in the hub view selection pane.

  2. Select the bending machine that contains the tube project from the Benders Listing area.

  3. Click the Recall from Bender button [image] from the Bender Action bar. The User Input dialog is displayed.

  4. Enter the Part Number of the project and click Done to load the project from the bending machine.

  5. The Project Workspace is displayed with the recalled tube project. Click the Measure/Stop button located in the lower-left of the Action Bar.

  6. Follow the instructions displayed in the Action Bar to measure the tube.

Once all measurements are completed, review the data.

  • If the measurement results are not acceptable, click the Recalculation button [image] and determine if the recalculated data needs to be sent back to the bending machine. If so, click the Send to Bender [image] button to send the recalculated tube data back to the bending machine.

  • If the measurement results are acceptable, the bending process is also acceptable and nothing more needs to be done.

More

Shop Floor Mode

Shop Floor Mode: Overview

Shop Floor Mode: Project Workspace

Shop Floor Mode: Bender Screen

Shop Floor Mode: Reports Screen


A-End and B-End

Example of the A-End and B-End points of a tube

A-End is the more widely used term to describe the point at which the measurement of a tube starts. B-End is the term used to describe the point at which measurements end.

A tube used in a bending machine process must be round and rigid.

More:

Defining and Measuring Straights

Intersection Points

Tangent Points and Mid-Points

Tangent Point Fit Alignment


Defining and Measuring Straights

A - A-End
B - B-End
C - Straight #1
D - Straight #2
E - Straight #3
F - Straight #4
G - Straight #5

Example of tube with defined straights

Before you can define and measure straights, the following information must be known:

  • The tube diameter

  • The number of straights

  • The radii of all bends

More:

A-End and B-End

Intersection Points

Tangent Points and Mid-Points

Tangent Point Fit Alignment


Intersection Points

A - A-End
B - B-End
C - Straight #1
D - Straight #2
E - Straight #3
F - Straight #4
G - Straight #5

Example showing Intersection Points I1 - I6

Intersection Points are defined by the tube centerline and its end planes.

More:

A-End and B-End

Defining and Measuring Straights

Tangent Points and Mid-Points

Tangent Point Fit Alignment


Tangent Point Best Fit Alignment Defined

Home | Tangent Point Best Fit Alignment Defined

Tangent Point Best Fit Alignment

A - A-End
B - B-End
C - Straight #1
D - Straight #2
E - Straight #3
F - Straight #4
G - Straight #5

Example showing Tangent Point Fit Alignment calculation

A Best Fit is accomplished using these three points:

  • TP2 of Straight 1

  • TP1 of Straight N - the last straight of the tube

  • Draw a line between these two points then determine the TP furthest away to complete the Best Fit triangle.

More:

A-End and B-End

Defining and Measuring Straights

Intersection Points

Tangent Points and Mid-Points


Tangent Points and Mid-Points

A - A-End
B - B-End
C - Straight #1
D - Straight #2
E - Straight #3
F - Straight #4
G - Straight #5

Example showing Tangent Points TP1 - TP2 for straights C - G

The Tangent Points (T1 - T2) of each straight are based on the Tube Centerlines and the corresponding Bend Radius.

The Mid-Points (MP) are centered between T1 and T2 of each straight.

More:

A-End and B-End

Defining and Measuring Straights

Intersection Points

Tangent Point Fit Alignment